#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioEncoder = 379,
  AudioListener = 392,
  AudioNode = 406,
  AudioParam = 416,
  AudioParamMap = 427,
  AudioProcessingEvent = 441,
  AudioScheduledSourceNode = 462,
  AudioTrack = 487,
  AudioTrackList = 498,
  AudioWorklet = 513,
  AudioWorkletGlobalScope = 526,
  AudioWorkletNode = 550,
  AudioWorkletProcessor = 567,
  AuthenticatorAssertionResponse = 589,
  AuthenticatorAttestationResponse = 620,
  AuthenticatorResponse = 653,
  BarProp = 675,
  BaseAudioContext = 683,
  BatteryManager = 700,
  BeforeUnloadEvent = 715,
  BiquadFilterNode = 733,
  Blob = 750,
  BlobEvent = 755,
  BroadcastChannel = 765,
  BrowsingContext = 782,
  BrowsingContextGroup = 798,
  ByteLengthQueuingStrategy = 819,
  CDATASection = 845,
  CSPViolationReportBody = 858,
  CSS = 881,
  CSS2Properties = 885,
  CSSAnimation = 900,
  CSSConditionRule = 913,
  CSSContainerRule = 930,
  CSSCounterStyleRule = 947,
  CSSCustomPropertyRegisteredEvent = 967,
  CSSFontFaceRule = 1000,
  CSSFontFeatureValuesRule = 1016,
  CSSFontPaletteValuesRule = 1041,
  CSSGroupingRule = 1066,
  CSSImportRule = 1082,
  CSSKeyframeRule = 1096,
  CSSKeyframesRule = 1112,
  CSSLayerBlockRule = 1129,
  CSSLayerStatementRule = 1147,
  CSSMarginRule = 1169,
  CSSMediaRule = 1183,
  CSSMozDocumentRule = 1196,
  CSSNamespaceRule = 1215,
  CSSNestedDeclarations = 1232,
  CSSPageDescriptors = 1254,
  CSSPageRule = 1273,
  CSSPositionTryDescriptors = 1285,
  CSSPositionTryRule = 1311,
  CSSPropertyRule = 1330,
  CSSPseudoElement = 1346,
  CSSRule = 1363,
  CSSRuleList = 1371,
  CSSScopeRule = 1383,
  CSSStartingStyleRule = 1396,
  CSSStyleDeclaration = 1417,
  CSSStyleRule = 1437,
  CSSStyleSheet = 1450,
  CSSSupportsRule = 1464,
  CSSTransition = 1480,
  Cache = 1494,
  CacheStorage = 1500,
  CallbackDebuggerNotification = 1513,
  CanonicalBrowsingContext = 1542,
  CanvasCaptureMediaStream = 1567,
  CanvasGradient = 1592,
  CanvasPattern = 1607,
  CanvasRenderingContext2D = 1621,
  CaretPosition = 1646,
  CaretStateChangedEvent = 1660,
  ChannelMergerNode = 1683,
  ChannelSplitterNode = 1701,
  ChannelWrapper = 1721,
  CharacterData = 1736,
  CheckerboardReportService = 1750,
  ChildProcessMessageManager = 1776,
  ChildSHistory = 1803,
  ChromeMessageBroadcaster = 1817,
  ChromeMessageSender = 1842,
  ChromeNodeList = 1862,
  ChromeUtils = 1877,
  ChromeWorker = 1889,
  Client = 1902,
  Clients = 1909,
  Clipboard = 1917,
  ClipboardEvent = 1927,
  ClipboardItem = 1942,
  ClonedErrorHolder = 1956,
  CloseEvent = 1974,
  CloseWatcher = 1985,
  CommandEvent = 1998,
  Comment = 2011,
  CompositionEvent = 2019,
  CompressionStream = 2036,
  ConsoleInstance = 2054,
  ConstantSourceNode = 2070,
  ContentFrameMessageManager = 2089,
  ContentProcessMessageManager = 2116,
  ContentVisibilityAutoStateChangeEvent = 2145,
  ConvolverNode = 2183,
  CookieChangeEvent = 2197,
  CookieStore = 2215,
  CookieStoreManager = 2227,
  CountQueuingStrategy = 2246,
  CreateOfferRequest = 2267,
  Credential = 2286,
  CredentialsContainer = 2297,
  Crypto = 2318,
  CryptoKey = 2325,
  CustomElementRegistry = 2335,
  CustomEvent = 2357,
  CustomStateSet = 2369,
  DOMException = 2384,
  DOMImplementation = 2397,
  DOMLocalization = 2415,
  DOMMatrix = 2431,
  DOMMatrixReadOnly = 2441,
  DOMParser = 2459,
  DOMPoint = 2469,
  DOMPointReadOnly = 2478,
  DOMQuad = 2495,
  DOMRect = 2503,
  DOMRectList = 2511,
  DOMRectReadOnly = 2523,
  DOMStringList = 2539,
  DOMStringMap = 2553,
  DOMTokenList = 2566,
  DataTransfer = 2579,
  DataTransferItem = 2592,
  DataTransferItemList = 2609,
  DebuggerNotification = 2630,
  DebuggerNotificationObserver = 2651,
  DecompressionStream = 2680,
  DedicatedWorkerGlobalScope = 2700,
  DelayNode = 2727,
  DeprecationReportBody = 2737,
  DeviceAcceleration = 2759,
  DeviceLightEvent = 2778,
  DeviceMotionEvent = 2795,
  DeviceOrientationEvent = 2813,
  DeviceRotationRate = 2836,
  Directory = 2855,
  Document = 2865,
  DocumentFragment = 2874,
  DocumentL10n = 2891,
  DocumentTimeline = 2904,
  DocumentType = 2921,
  DominatorTree = 2934,
  DragEvent = 2948,
  DynamicsCompressorNode = 2958,
  EXT_blend_minmax = 2981,
  EXT_color_buffer_float = 2998,
  EXT_color_buffer_half_float = 3021,
  EXT_depth_clamp = 3049,
  EXT_disjoint_timer_query = 3065,
  EXT_float_blend = 3090,
  EXT_frag_depth = 3106,
  EXT_sRGB = 3121,
  EXT_shader_texture_lod = 3130,
  EXT_texture_compression_bptc = 3153,
  EXT_texture_compression_rgtc = 3182,
  EXT_texture_filter_anisotropic = 3211,
  EXT_texture_norm16 = 3242,
  Element = 3261,
  ElementInternals = 3269,
  EncodedAudioChunk = 3286,
  EncodedVideoChunk = 3304,
  ErrorEvent = 3322,
  Event = 3333,
  EventCallbackDebuggerNotification = 3339,
  EventCounts = 3373,
  EventSource = 3385,
  EventTarget = 3397,
  Exception = 3409,
  ExtendableCookieChangeEvent = 3419,
  ExtendableEvent = 3447,
  ExtendableMessageEvent = 3463,
  ExtensionAlarms = 3486,
  ExtensionBrowser = 3502,
  ExtensionBrowserSettings = 3519,
  ExtensionBrowserSettingsColorManagement = 3544,
  ExtensionDns = 3584,
  ExtensionEventManager = 3597,
  ExtensionMockAPI = 3619,
  ExtensionPort = 3636,
  ExtensionProxy = 3650,
  ExtensionRuntime = 3665,
  ExtensionScripting = 3682,
  ExtensionSetting = 3701,
  ExtensionTest = 3718,
  External = 3732,
  FeaturePolicy = 3741,
  FeaturePolicyViolationReportBody = 3755,
  FetchEvent = 3788,
  FetchObserver = 3799,
  File = 3813,
  FileList = 3818,
  FileReader = 3827,
  FileReaderSync = 3838,
  FileSystem = 3853,
  FileSystemDirectoryEntry = 3864,
  FileSystemDirectoryHandle = 3889,
  FileSystemDirectoryHandle_AsyncIterator = 3915,
  FileSystemDirectoryIterator = 3955,
  FileSystemDirectoryReader = 3983,
  FileSystemEntry = 4009,
  FileSystemFileEntry = 4025,
  FileSystemFileHandle = 4045,
  FileSystemHandle = 4066,
  FileSystemSyncAccessHandle = 4083,
  FileSystemWritableFileStream = 4110,
  Flex = 4139,
  FlexItemValues = 4144,
  FlexLineValues = 4159,
  FluentBundle = 4174,
  FluentBundleAsyncIterator = 4187,
  FluentBundleIterator = 4213,
  FluentPattern = 4234,
  FluentResource = 4248,
  FocusEvent = 4263,
  FontFace = 4274,
  FontFaceSet = 4283,
  FontFaceSetIterator = 4295,
  FontFaceSetLoadEvent = 4315,
  FormData = 4336,
  FormData_Iterator = 4345,
  FormDataEvent = 4363,
  FragmentDirective = 4377,
  FrameCrashedEvent = 4395,
  FrameLoader = 4413,
  GPU = 4425,
  GPUAdapter = 4429,
  GPUAdapterInfo = 4440,
  GPUBindGroup = 4455,
  GPUBindGroupLayout = 4468,
  GPUBuffer = 4487,
  GPUBufferUsage = 4497,
  GPUCanvasContext = 4512,
  GPUColorWrite = 4529,
  GPUCommandBuffer = 4543,
  GPUCommandEncoder = 4560,
  GPUCompilationInfo = 4578,
  GPUCompilationMessage = 4597,
  GPUComputePassEncoder = 4619,
  GPUComputePipeline = 4641,
  GPUDevice = 4660,
  GPUDeviceLostInfo = 4670,
  GPUError = 4688,
  GPUExternalTexture = 4697,
  GPUInternalError = 4716,
  GPUMapMode = 4733,
  GPUOutOfMemoryError = 4744,
  GPUPipelineLayout = 4764,
  GPUQuerySet = 4782,
  GPUQueue = 4794,
  GPURenderBundle = 4803,
  GPURenderBundleEncoder = 4819,
  GPURenderPassEncoder = 4842,
  GPURenderPipeline = 4863,
  GPUSampler = 4881,
  GPUShaderModule = 4892,
  GPUShaderStage = 4908,
  GPUSupportedFeatures = 4923,
  GPUSupportedLimits = 4944,
  GPUTexture = 4963,
  GPUTextureUsage = 4974,
  GPUTextureView = 4990,
  GPUUncapturedErrorEvent = 5005,
  GPUValidationError = 5029,
  GainNode = 5048,
  Gamepad = 5057,
  GamepadAxisMoveEvent = 5065,
  GamepadButton = 5086,
  GamepadButtonEvent = 5100,
  GamepadEvent = 5119,
  GamepadHapticActuator = 5132,
  GamepadLightIndicator = 5154,
  GamepadPose = 5176,
  GamepadServiceTest = 5188,
  GamepadTouch = 5207,
  Geolocation = 5220,
  GeolocationCoordinates = 5232,
  GeolocationPosition = 5255,
  GeolocationPositionError = 5275,
  GetUserMediaRequest = 5300,
  GleanBoolean = 5320,
  GleanCategory = 5333,
  GleanCounter = 5347,
  GleanCustomDistribution = 5360,
  GleanDatetime = 5384,
  GleanDenominator = 5398,
  GleanEvent = 5415,
  GleanImpl = 5426,
  GleanLabeled = 5436,
  GleanMemoryDistribution = 5449,
  GleanMetric = 5473,
  GleanNumerator = 5485,
  GleanObject = 5500,
  GleanPingsImpl = 5512,
  GleanQuantity = 5527,
  GleanRate = 5541,
  GleanString = 5551,
  GleanStringList = 5563,
  GleanText = 5579,
  GleanTimespan = 5589,
  GleanTimingDistribution = 5603,
  GleanUrl = 5627,
  GleanUuid = 5636,
  Grid = 5646,
  GridArea = 5651,
  GridDimension = 5660,
  GridLine = 5674,
  GridLines = 5683,
  GridTrack = 5693,
  GridTracks = 5703,
  HTMLAllCollection = 5714,
  HTMLAnchorElement = 5732,
  HTMLAreaElement = 5750,
  HTMLAudioElement = 5766,
  HTMLBRElement = 5783,
  HTMLBaseElement = 5797,
  HTMLBodyElement = 5813,
  HTMLButtonElement = 5829,
  HTMLCanvasElement = 5847,
  HTMLCollection = 5865,
  HTMLDListElement = 5880,
  HTMLDataElement = 5897,
  HTMLDataListElement = 5913,
  HTMLDetailsElement = 5933,
  HTMLDialogElement = 5952,
  HTMLDirectoryElement = 5970,
  HTMLDivElement = 5991,
  HTMLDocument = 6006,
  HTMLElement = 6019,
  HTMLEmbedElement = 6031,
  HTMLFieldSetElement = 6048,
  HTMLFontElement = 6068,
  HTMLFormControlsCollection = 6084,
  HTMLFormElement = 6111,
  HTMLFrameElement = 6127,
  HTMLFrameSetElement = 6144,
  HTMLHRElement = 6164,
  HTMLHeadElement = 6178,
  HTMLHeadingElement = 6194,
  HTMLHtmlElement = 6213,
  HTMLIFrameElement = 6229,
  HTMLImageElement = 6247,
  HTMLInputElement = 6264,
  HTMLLIElement = 6281,
  HTMLLabelElement = 6295,
  HTMLLegendElement = 6312,
  HTMLLinkElement = 6330,
  HTMLMapElement = 6346,
  HTMLMarqueeElement = 6361,
  HTMLMediaElement = 6380,
  HTMLMenuElement = 6397,
  HTMLMetaElement = 6413,
  HTMLMeterElement = 6429,
  HTMLModElement = 6446,
  HTMLOListElement = 6461,
  HTMLObjectElement = 6478,
  HTMLOptGroupElement = 6496,
  HTMLOptionElement = 6516,
  HTMLOptionsCollection = 6534,
  HTMLOutputElement = 6556,
  HTMLParagraphElement = 6574,
  HTMLParamElement = 6595,
  HTMLPictureElement = 6612,
  HTMLPreElement = 6631,
  HTMLProgressElement = 6646,
  HTMLQuoteElement = 6666,
  HTMLScriptElement = 6683,
  HTMLSelectElement = 6701,
  HTMLSlotElement = 6719,
  HTMLSourceElement = 6735,
  HTMLSpanElement = 6753,
  HTMLStyleElement = 6769,
  HTMLTableCaptionElement = 6786,
  HTMLTableCellElement = 6810,
  HTMLTableColElement = 6831,
  HTMLTableElement = 6851,
  HTMLTableRowElement = 6868,
  HTMLTableSectionElement = 6888,
  HTMLTemplateElement = 6912,
  HTMLTextAreaElement = 6932,
  HTMLTimeElement = 6952,
  HTMLTitleElement = 6968,
  HTMLTrackElement = 6985,
  HTMLUListElement = 7002,
  HTMLUnknownElement = 7019,
  HTMLVideoElement = 7038,
  HashChangeEvent = 7055,
  Headers = 7071,
  Headers_Iterator = 7079,
  HeapSnapshot = 7096,
  Highlight = 7109,
  HighlightRegistry = 7119,
  History = 7137,
  IDBCursor = 7145,
  IDBCursorWithValue = 7155,
  IDBDatabase = 7174,
  IDBFactory = 7186,
  IDBIndex = 7197,
  IDBKeyRange = 7206,
  IDBObjectStore = 7218,
  IDBOpenDBRequest = 7233,
  IDBRequest = 7250,
  IDBTransaction = 7261,
  IDBVersionChangeEvent = 7276,
  IIRFilterNode = 7298,
  IOUtils = 7312,
  IdentityCredential = 7320,
  IdleDeadline = 7339,
  Image = 7352,
  ImageBitmap = 7358,
  ImageBitmapRenderingContext = 7370,
  ImageCapture = 7398,
  ImageCaptureError = 7411,
  ImageCaptureErrorEvent = 7429,
  ImageData = 7452,
  ImageDecoder = 7462,
  ImageDocument = 7475,
  ImageTrack = 7489,
  ImageTrackList = 7500,
  InputEvent = 7515,
  InspectorCSSParser = 7526,
  InspectorFontFace = 7545,
  InspectorUtils = 7563,
  InstallTriggerImpl = 7578,
  IntersectionObserver = 7597,
  IntersectionObserverEntry = 7618,
  IntlUtils = 7644,
  InvokeEvent = 7654,
  JSProcessActorChild = 7666,
  JSProcessActorParent = 7686,
  JSWindowActorChild = 7707,
  JSWindowActorParent = 7726,
  KeyEvent = 7746,
  KeyboardEvent = 7755,
  KeyframeEffect = 7769,
  L10nFileSource = 7784,
  L10nOverlays = 7799,
  L10nRegistry = 7812,
  LargestContentfulPaint = 7825,
  LegacyMozTCPSocket = 7848,
  Localization = 7867,
  Location = 7880,
  Lock = 7889,
  LockManager = 7894,
  MIDIAccess = 7906,
  MIDIConnectionEvent = 7917,
  MIDIInput = 7937,
  MIDIInputMap = 7947,
  MIDIMessageEvent = 7960,
  MIDIOutput = 7977,
  MIDIOutputMap = 7988,
  MIDIPort = 8002,
  MLS = 8011,
  MLSGroupView = 8015,
  MOZ_debug = 8028,
  MatchGlob = 8038,
  MatchPattern = 8048,
  MatchPatternSet = 8061,
  MathMLElement = 8077,
  MediaCapabilities = 8091,
  MediaControlService = 8109,
  MediaController = 8129,
  MediaDeviceInfo = 8145,
  MediaDevices = 8161,
  MediaElementAudioSourceNode = 8174,
  MediaEncryptedEvent = 8202,
  MediaError = 8222,
  MediaKeyError = 8233,
  MediaKeyMessageEvent = 8247,
  MediaKeySession = 8268,
  MediaKeyStatusMap = 8284,
  MediaKeyStatusMap_Iterator = 8302,
  MediaKeySystemAccess = 8329,
  MediaKeys = 8350,
  MediaList = 8360,
  MediaMetadata = 8370,
  MediaQueryList = 8384,
  MediaQueryListEvent = 8399,
  MediaRecorder = 8419,
  MediaRecorderErrorEvent = 8433,
  MediaSession = 8457,
  MediaSource = 8470,
  MediaStream = 8482,
  MediaStreamAudioDestinationNode = 8494,
  MediaStreamAudioSourceNode = 8526,
  MediaStreamError = 8553,
  MediaStreamEvent = 8570,
  MediaStreamTrack = 8587,
  MediaStreamTrackAudioSourceNode = 8604,
  MediaStreamTrackEvent = 8636,
  MerchantValidationEvent = 8658,
  MessageBroadcaster = 8682,
  MessageChannel = 8701,
  MessageEvent = 8716,
  MessageListenerManager = 8729,
  MessagePort = 8752,
  MessageSender = 8764,
  MimeType = 8778,
  MimeTypeArray = 8787,
  MouseEvent = 8801,
  MouseScrollEvent = 8812,
  MozCanvasPrintState = 8829,
  MozDocumentMatcher = 8849,
  MozDocumentObserver = 8868,
  MozQueryInterface = 8888,
  MozSharedMap = 8906,
  MozSharedMap_Iterator = 8919,
  MozSharedMapChangeEvent = 8941,
  MozStorageAsyncStatementParams = 8965,
  MozStorageStatementParams = 8996,
  MozStorageStatementRow = 9022,
  MozWritableSharedMap = 9045,
  MutationEvent = 9066,
  MutationObserver = 9080,
  MutationRecord = 9097,
  NamedNodeMap = 9112,
  NavigateEvent = 9125,
  Navigation = 9139,
  NavigationActivation = 9150,
  NavigationCurrentEntryChangeEvent = 9171,
  NavigationDestination = 9205,
  NavigationHistoryEntry = 9227,
  NavigationPreloadManager = 9250,
  NavigationTransition = 9275,
  Navigator = 9296,
  NavigatorLogin = 9306,
  NetworkInformation = 9321,
  Node = 9340,
  NodeFilter = 9345,
  NodeIterator = 9356,
  NodeList = 9369,
  Notification = 9378,
  NotificationEvent = 9391,
  NotifyPaintEvent = 9409,
  OES_draw_buffers_indexed = 9426,
  OES_element_index_uint = 9451,
  OES_fbo_render_mipmap = 9474,
  OES_standard_derivatives = 9496,
  OES_texture_float = 9521,
  OES_texture_float_linear = 9539,
  OES_texture_half_float = 9564,
  OES_texture_half_float_linear = 9587,
  OES_vertex_array_object = 9617,
  OVR_multiview2 = 9641,
  OfflineAudioCompletionEvent = 9656,
  OfflineAudioContext = 9684,
  OffscreenCanvas = 9704,
  OffscreenCanvasRenderingContext2D = 9720,
  OnlyForUseInConstructor = 9754,
  Option = 9778,
  OscillatorNode = 9785,
  PageTransitionEvent = 9800,
  PaintRequest = 9820,
  PaintRequestList = 9833,
  PaintWorkletGlobalScope = 9850,
  PannerNode = 9874,
  ParentProcessMessageManager = 9885,
  Path2D = 9913,
  PathUtils = 9920,
  PaymentAddress = 9930,
  PaymentMethodChangeEvent = 9945,
  PaymentRequest = 9970,
  PaymentRequestUpdateEvent = 9985,
  PaymentResponse = 10011,
  PeerConnectionImpl = 10027,
  PeerConnectionObserver = 10046,
  Performance = 10069,
  PerformanceEntry = 10081,
  PerformanceEntryEvent = 10098,
  PerformanceEventTiming = 10120,
  PerformanceMark = 10143,
  PerformanceMeasure = 10159,
  PerformanceNavigation = 10178,
  PerformanceNavigationTiming = 10200,
  PerformanceObserver = 10228,
  PerformanceObserverEntryList = 10248,
  PerformancePaintTiming = 10277,
  PerformanceResourceTiming = 10300,
  PerformanceServerTiming = 10326,
  PerformanceTiming = 10350,
  PeriodicWave = 10368,
  PermissionStatus = 10381,
  Permissions = 10398,
  PlacesBookmark = 10410,
  PlacesBookmarkAddition = 10425,
  PlacesBookmarkChanged = 10448,
  PlacesBookmarkGuid = 10470,
  PlacesBookmarkKeyword = 10489,
  PlacesBookmarkMoved = 10511,
  PlacesBookmarkRemoved = 10531,
  PlacesBookmarkTags = 10553,
  PlacesBookmarkTime = 10572,
  PlacesBookmarkTitle = 10591,
  PlacesBookmarkUrl = 10611,
  PlacesEvent = 10629,
  PlacesEventCounts = 10641,
  PlacesFavicon = 10659,
  PlacesHistoryCleared = 10673,
  PlacesObservers = 10694,
  PlacesPurgeCaches = 10710,
  PlacesRanking = 10728,
  PlacesVisit = 10742,
  PlacesVisitRemoved = 10754,
  PlacesVisitTitle = 10773,
  PlacesWeakCallbackWrapper = 10790,
  Plugin = 10816,
  PluginArray = 10823,
  PluginCrashedEvent = 10835,
  PointerEvent = 10854,
  PopStateEvent = 10867,
  PopupBlockedEvent = 10881,
  PopupPositionedEvent = 10899,
  PositionStateEvent = 10920,
  PrecompiledScript = 10939,
  PrivateAttribution = 10957,
  ProcessMessageManager = 10976,
  ProcessingInstruction = 10998,
  ProgressEvent = 11020,
  PromiseDebugging = 11034,
  PromiseNativeHandler = 11051,
  PromiseRejectionEvent = 11072,
  PublicKeyCredential = 11094,
  PushEvent = 11114,
  PushManager = 11124,
  PushManagerImpl = 11136,
  PushMessageData = 11152,
  PushSubscription = 11168,
  PushSubscriptionChangeEvent = 11185,
  PushSubscriptionOptions = 11213,
  RTCCertificate = 11237,
  RTCDTMFSender = 11252,
  RTCDTMFToneChangeEvent = 11266,
  RTCDataChannel = 11289,
  RTCDataChannelEvent = 11304,
  RTCDtlsTransport = 11324,
  RTCEncodedAudioFrame = 11341,
  RTCEncodedVideoFrame = 11362,
  RTCIceCandidate = 11383,
  RTCIceTransport = 11399,
  RTCIdentityProviderRegistrar = 11415,
  RTCPeerConnection = 11444,
  RTCPeerConnectionIceEvent = 11462,
  RTCPeerConnectionStatic = 11488,
  RTCRtpReceiver = 11512,
  RTCRtpScriptTransform = 11527,
  RTCRtpScriptTransformer = 11549,
  RTCRtpSender = 11573,
  RTCRtpTransceiver = 11586,
  RTCSctpTransport = 11604,
  RTCSessionDescription = 11621,
  RTCStatsReport = 11643,
  RTCTrackEvent = 11658,
  RTCTransformEvent = 11672,
  RadioNodeList = 11690,
  Range = 11704,
  ReadableByteStreamController = 11710,
  ReadableStream = 11739,
  ReadableStream_AsyncIterator = 11754,
  ReadableStreamBYOBReader = 11783,
  ReadableStreamBYOBRequest = 11808,
  ReadableStreamDefaultController = 11834,
  ReadableStreamDefaultReader = 11866,
  Report = 11894,
  ReportBody = 11901,
  ReportingObserver = 11912,
  Request = 11930,
  ResizeObserver = 11938,
  ResizeObserverEntry = 11953,
  ResizeObserverSize = 11973,
  Response = 11992,
  SVGAElement = 12001,
  SVGAngle = 12013,
  SVGAnimateElement = 12022,
  SVGAnimateMotionElement = 12040,
  SVGAnimateTransformElement = 12064,
  SVGAnimatedAngle = 12091,
  SVGAnimatedBoolean = 12108,
  SVGAnimatedEnumeration = 12127,
  SVGAnimatedInteger = 12150,
  SVGAnimatedLength = 12169,
  SVGAnimatedLengthList = 12187,
  SVGAnimatedNumber = 12209,
  SVGAnimatedNumberList = 12227,
  SVGAnimatedPreserveAspectRatio = 12249,
  SVGAnimatedRect = 12280,
  SVGAnimatedString = 12296,
  SVGAnimatedTransformList = 12314,
  SVGAnimationElement = 12339,
  SVGCircleElement = 12359,
  SVGClipPathElement = 12376,
  SVGComponentTransferFunctionElement = 12395,
  SVGDefsElement = 12431,
  SVGDescElement = 12446,
  SVGDiscardElement = 12461,
  SVGElement = 12479,
  SVGEllipseElement = 12490,
  SVGFEBlendElement = 12508,
  SVGFEColorMatrixElement = 12526,
  SVGFEComponentTransferElement = 12550,
  SVGFECompositeElement = 12580,
  SVGFEConvolveMatrixElement = 12602,
  SVGFEDiffuseLightingElement = 12629,
  SVGFEDisplacementMapElement = 12657,
  SVGFEDistantLightElement = 12685,
  SVGFEDropShadowElement = 12710,
  SVGFEFloodElement = 12733,
  SVGFEFuncAElement = 12751,
  SVGFEFuncBElement = 12769,
  SVGFEFuncGElement = 12787,
  SVGFEFuncRElement = 12805,
  SVGFEGaussianBlurElement = 12823,
  SVGFEImageElement = 12848,
  SVGFEMergeElement = 12866,
  SVGFEMergeNodeElement = 12884,
  SVGFEMorphologyElement = 12906,
  SVGFEOffsetElement = 12929,
  SVGFEPointLightElement = 12948,
  SVGFESpecularLightingElement = 12971,
  SVGFESpotLightElement = 13000,
  SVGFETileElement = 13022,
  SVGFETurbulenceElement = 13039,
  SVGFilterElement = 13062,
  SVGForeignObjectElement = 13079,
  SVGGElement = 13103,
  SVGGeometryElement = 13115,
  SVGGradientElement = 13134,
  SVGGraphicsElement = 13153,
  SVGImageElement = 13172,
  SVGLength = 13188,
  SVGLengthList = 13198,
  SVGLineElement = 13212,
  SVGLinearGradientElement = 13227,
  SVGMPathElement = 13252,
  SVGMarkerElement = 13268,
  SVGMaskElement = 13285,
  SVGMatrix = 13300,
  SVGMetadataElement = 13310,
  SVGNumber = 13329,
  SVGNumberList = 13339,
  SVGPathElement = 13353,
  SVGPathSegment = 13368,
  SVGPatternElement = 13383,
  SVGPoint = 13401,
  SVGPointList = 13410,
  SVGPolygonElement = 13423,
  SVGPolylineElement = 13441,
  SVGPreserveAspectRatio = 13460,
  SVGRadialGradientElement = 13483,
  SVGRect = 13508,
  SVGRectElement = 13516,
  SVGSVGElement = 13531,
  SVGScriptElement = 13545,
  SVGSetElement = 13562,
  SVGStopElement = 13576,
  SVGStringList = 13591,
  SVGStyleElement = 13605,
  SVGSwitchElement = 13621,
  SVGSymbolElement = 13638,
  SVGTSpanElement = 13655,
  SVGTextContentElement = 13671,
  SVGTextElement = 13693,
  SVGTextPathElement = 13708,
  SVGTextPositioningElement = 13727,
  SVGTitleElement = 13753,
  SVGTransform = 13769,
  SVGTransformList = 13782,
  SVGUnitTypes = 13799,
  SVGUseElement = 13812,
  SVGViewElement = 13826,
  Sanitizer = 13841,
  Scheduler = 13851,
  Screen = 13861,
  ScreenLuminance = 13868,
  ScreenOrientation = 13884,
  ScriptProcessorNode = 13902,
  ScrollAreaEvent = 13922,
  ScrollViewChangeEvent = 13938,
  SecurityPolicyViolationEvent = 13960,
  Selection = 13989,
  ServiceWorker = 13999,
  ServiceWorkerContainer = 14013,
  ServiceWorkerGlobalScope = 14036,
  ServiceWorkerRegistration = 14061,
  SessionStoreFormData = 14087,
  SessionStoreScrollData = 14108,
  SessionStoreUtils = 14131,
  ShadowRealmGlobalScope = 14149,
  ShadowRoot = 14172,
  SharedWorker = 14183,
  SharedWorkerGlobalScope = 14196,
  SimpleGestureEvent = 14220,
  SourceBuffer = 14239,
  SourceBufferList = 14252,
  SpeechGrammar = 14269,
  SpeechGrammarList = 14283,
  SpeechRecognition = 14301,
  SpeechRecognitionAlternative = 14319,
  SpeechRecognitionError = 14348,
  SpeechRecognitionEvent = 14371,
  SpeechRecognitionResult = 14394,
  SpeechRecognitionResultList = 14418,
  SpeechSynthesis = 14446,
  SpeechSynthesisErrorEvent = 14462,
  SpeechSynthesisEvent = 14488,
  SpeechSynthesisUtterance = 14509,
  SpeechSynthesisVoice = 14534,
  StaticRange = 14555,
  StereoPannerNode = 14567,
  Storage = 14584,
  StorageEvent = 14592,
  StorageManager = 14605,
  StreamFilter = 14620,
  StreamFilterDataEvent = 14633,
  StructuredCloneHolder = 14655,
  StructuredCloneTester = 14677,
  StyleSheet = 14699,
  StyleSheetApplicableStateChangeEvent = 14710,
  StyleSheetList = 14747,
  StyleSheetRemovedEvent = 14762,
  SubmitEvent = 14785,
  SubtleCrypto = 14797,
  SyncMessageSender = 14810,
  SyncReadFile = 14828,
  TCPServerSocket = 14841,
  TCPServerSocketEvent = 14857,
  TCPSocket = 14878,
  TCPSocketErrorEvent = 14888,
  TCPSocketEvent = 14908,
  TaskController = 14923,
  TaskPriorityChangeEvent = 14938,
  TaskSignal = 14962,
  TestAttributesOnTypes = 14973,
  TestCEReactionsInterface = 14995,
  TestCImplementedInterface = 15020,
  TestCImplementedInterface2 = 15046,
  TestCallbackDictUnionOverload = 15073,
  TestChildInterface = 15103,
  TestConstructorForFuncInterface = 15122,
  TestConstructorForPrefInterface = 15154,
  TestConstructorForSCInterface = 15186,
  TestCppKeywordNamedMethodsInterface = 15216,
  TestDeprecatedInterface = 15252,
  TestExampleInterface = 15276,
  TestExampleProxyInterface = 15297,
  TestExampleThrowingConstructorInterface = 15323,
  TestExampleWorkerInterface = 15363,
  TestFuncConstructorForDifferentFuncInterface = 15390,
  TestFuncConstructorForInterface = 15435,
  TestHTMLConstructorInterface = 15467,
  TestIndexedAndNamedGetterAndSetterInterface = 15496,
  TestIndexedAndNamedGetterInterface = 15540,
  TestIndexedAndNamedSetterInterface = 15575,
  TestIndexedGetterAndSetterAndNamedGetterInterface = 15610,
  TestIndexedGetterInterface = 15660,
  TestIndexedSetterInterface = 15687,
  TestInterface = 15714,
  TestInterfaceWithPromiseConstructorArg = 15728,
  TestJSImplInterface = 15767,
  TestJSImplInterface2 = 15787,
  TestJSImplInterface3 = 15808,
  TestJSImplInterface4 = 15829,
  TestJSImplInterface5 = 15850,
  TestJSImplInterface6 = 15871,
  TestJSImplNoInterfaceObject = 15892,
  TestLegacyFactoryFunctionInterface = 15920,
  TestLegacyFactoryFunctionInterface2 = 15955,
  TestNamedDeleterInterface = 15991,
  TestNamedDeleterWithRetvalInterface = 16017,
  TestNamedGetterInterface = 16053,
  TestNamedSetterInterface = 16078,
  TestNamespace = 16103,
  TestNonWrapperCacheInterface = 16117,
  TestParentInterface = 16146,
  TestPrefChromeOnlySCFuncConstructorForInterface = 16166,
  TestPrefConstructorForDifferentPrefInterface = 16214,
  TestPrefConstructorForInterface = 16259,
  TestProtoObjectHackedNamespace = 16291,
  TestRenamedInterface = 16322,
  TestRenamedNamespace = 16343,
  TestSCConstructorForInterface = 16364,
  TestSecureContextInterface = 16394,
  TestThrowingConstructorInterface = 16421,
  TestUtils = 16454,
  TestWorkerExposedInterface = 16464,
  TestingDeprecatedInterface = 16491,
  Text = 16518,
  TextClause = 16523,
  TextDecoder = 16534,
  TextDecoderStream = 16546,
  TextEncoder = 16564,
  TextEncoderStream = 16576,
  TextEvent = 16594,
  TextMetrics = 16604,
  TextTrack = 16616,
  TextTrackCue = 16626,
  TextTrackCueList = 16639,
  TextTrackList = 16656,
  TimeEvent = 16670,
  TimeRanges = 16680,
  ToggleEvent = 16691,
  Touch = 16703,
  TouchEvent = 16709,
  TouchList = 16720,
  TrackEvent = 16730,
  TransformStream = 16741,
  TransformStreamDefaultController = 16757,
  TransitionEvent = 16790,
  TreeColumn = 16806,
  TreeColumns = 16817,
  TreeContentView = 16829,
  TreeWalker = 16845,
  TrustedHTML = 16856,
  TrustedScript = 16868,
  TrustedScriptURL = 16882,
  TrustedTypePolicy = 16899,
  TrustedTypePolicyFactory = 16917,
  UDPMessageEvent = 16942,
  UDPSocket = 16958,
  UIEvent = 16968,
  URL = 16976,
  URLSearchParams = 16980,
  URLSearchParams_Iterator = 16996,
  UniFFIPointer = 17021,
  UniFFIScaffolding = 17035,
  UserActivation = 17053,
  UserInteraction = 17068,
  UserProximityEvent = 17084,
  VRDisplay = 17103,
  VRDisplayCapabilities = 17113,
  VRDisplayEvent = 17135,
  VREyeParameters = 17150,
  VRFieldOfView = 17166,
  VRFrameData = 17180,
  VRMockController = 17192,
  VRMockDisplay = 17209,
  VRPose = 17223,
  VRServiceTest = 17230,
  VRStageParameters = 17244,
  VTTCue = 17262,
  VTTRegion = 17269,
  ValidityState = 17279,
  VideoColorSpace = 17293,
  VideoDecoder = 17309,
  VideoEncoder = 17322,
  VideoFrame = 17335,
  VideoPlaybackQuality = 17346,
  VideoTrack = 17367,
  VideoTrackList = 17378,
  ViewTransition = 17393,
  VisualViewport = 17408,
  WEBGL_color_buffer_float = 17423,
  WEBGL_compressed_texture_astc = 17448,
  WEBGL_compressed_texture_etc = 17478,
  WEBGL_compressed_texture_etc1 = 17507,
  WEBGL_compressed_texture_pvrtc = 17537,
  WEBGL_compressed_texture_s3tc = 17568,
  WEBGL_compressed_texture_s3tc_srgb = 17598,
  WEBGL_debug_renderer_info = 17633,
  WEBGL_debug_shaders = 17659,
  WEBGL_depth_texture = 17679,
  WEBGL_draw_buffers = 17699,
  WEBGL_explicit_present = 17718,
  WEBGL_lose_context = 17741,
  WEBGL_provoking_vertex = 17760,
  WGSLLanguageFeatures = 17783,
  WakeLock = 17804,
  WakeLockSentinel = 17813,
  WaveShaperNode = 17830,
  WebExtensionContentScript = 17845,
  WebExtensionPolicy = 17871,
  WebGL2RenderingContext = 17890,
  WebGLActiveInfo = 17913,
  WebGLBuffer = 17929,
  WebGLContextEvent = 17941,
  WebGLFramebuffer = 17959,
  WebGLProgram = 17976,
  WebGLQuery = 17989,
  WebGLRenderbuffer = 18000,
  WebGLRenderingContext = 18018,
  WebGLSampler = 18040,
  WebGLShader = 18053,
  WebGLShaderPrecisionFormat = 18065,
  WebGLSync = 18092,
  WebGLTexture = 18102,
  WebGLTransformFeedback = 18115,
  WebGLUniformLocation = 18138,
  WebGLVertexArrayObject = 18159,
  WebKitCSSMatrix = 18182,
  WebSocket = 18198,
  WebTransport = 18208,
  WebTransportBidirectionalStream = 18221,
  WebTransportDatagramDuplexStream = 18253,
  WebTransportError = 18286,
  WebTransportReceiveStream = 18304,
  WebTransportSendStream = 18330,
  WebrtcGlobalInformation = 18353,
  WheelEvent = 18377,
  Window = 18388,
  WindowClient = 18395,
  WindowContext = 18408,
  WindowGlobalChild = 18422,
  WindowGlobalParent = 18440,
  WindowRoot = 18459,
  Worker = 18470,
  WorkerDebuggerGlobalScope = 18477,
  WorkerGlobalScope = 18503,
  WorkerLocation = 18521,
  WorkerNavigator = 18536,
  WorkerTestUtils = 18552,
  Worklet = 18568,
  WorkletGlobalScope = 18576,
  WritableStream = 18595,
  WritableStreamDefaultController = 18610,
  WritableStreamDefaultWriter = 18642,
  XMLDocument = 18670,
  XMLHttpRequest = 18682,
  XMLHttpRequestEventTarget = 18697,
  XMLHttpRequestUpload = 18723,
  XMLSerializer = 18744,
  XPathEvaluator = 18758,
  XPathExpression = 18773,
  XPathResult = 18789,
  XRBoundedReferenceSpace = 18801,
  XRFrame = 18825,
  XRInputSource = 18833,
  XRInputSourceArray = 18847,
  XRInputSourceEvent = 18866,
  XRInputSourcesChangeEvent = 18885,
  XRPose = 18911,
  XRReferenceSpace = 18918,
  XRReferenceSpaceEvent = 18935,
  XRRenderState = 18957,
  XRRigidTransform = 18971,
  XRSession = 18988,
  XRSessionEvent = 18998,
  XRSpace = 19013,
  XRSystem = 19021,
  XRView = 19030,
  XRViewerPose = 19037,
  XRViewport = 19050,
  XRWebGLLayer = 19061,
  XSLTProcessor = 19074,
  XULCommandEvent = 19088,
  XULElement = 19104,
  XULFrameElement = 19115,
  XULMenuElement = 19131,
  XULPopupElement = 19146,
  XULResizerElement = 19162,
  XULTextElement = 19180,
  XULTreeElement = 19195,
  console = 19210,
  webkitSpeechGrammar = 19218,
  webkitSpeechGrammarList = 19238,
  webkitSpeechRecognition = 19262,
  webkitURL = 19286,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
