#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioEncoder" "\0"
  /*   392 */ "AudioListener" "\0"
  /*   406 */ "AudioNode" "\0"
  /*   416 */ "AudioParam" "\0"
  /*   427 */ "AudioParamMap" "\0"
  /*   441 */ "AudioProcessingEvent" "\0"
  /*   462 */ "AudioScheduledSourceNode" "\0"
  /*   487 */ "AudioTrack" "\0"
  /*   498 */ "AudioTrackList" "\0"
  /*   513 */ "AudioWorklet" "\0"
  /*   526 */ "AudioWorkletGlobalScope" "\0"
  /*   550 */ "AudioWorkletNode" "\0"
  /*   567 */ "AudioWorkletProcessor" "\0"
  /*   589 */ "AuthenticatorAssertionResponse" "\0"
  /*   620 */ "AuthenticatorAttestationResponse" "\0"
  /*   653 */ "AuthenticatorResponse" "\0"
  /*   675 */ "BarProp" "\0"
  /*   683 */ "BaseAudioContext" "\0"
  /*   700 */ "BatteryManager" "\0"
  /*   715 */ "BeforeUnloadEvent" "\0"
  /*   733 */ "BiquadFilterNode" "\0"
  /*   750 */ "Blob" "\0"
  /*   755 */ "BlobEvent" "\0"
  /*   765 */ "BroadcastChannel" "\0"
  /*   782 */ "BrowsingContext" "\0"
  /*   798 */ "BrowsingContextGroup" "\0"
  /*   819 */ "ByteLengthQueuingStrategy" "\0"
  /*   845 */ "CDATASection" "\0"
  /*   858 */ "CSPViolationReportBody" "\0"
  /*   881 */ "CSS" "\0"
  /*   885 */ "CSS2Properties" "\0"
  /*   900 */ "CSSAnimation" "\0"
  /*   913 */ "CSSConditionRule" "\0"
  /*   930 */ "CSSContainerRule" "\0"
  /*   947 */ "CSSCounterStyleRule" "\0"
  /*   967 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*  1000 */ "CSSFontFaceRule" "\0"
  /*  1016 */ "CSSFontFeatureValuesRule" "\0"
  /*  1041 */ "CSSFontPaletteValuesRule" "\0"
  /*  1066 */ "CSSGroupingRule" "\0"
  /*  1082 */ "CSSImportRule" "\0"
  /*  1096 */ "CSSKeyframeRule" "\0"
  /*  1112 */ "CSSKeyframesRule" "\0"
  /*  1129 */ "CSSLayerBlockRule" "\0"
  /*  1147 */ "CSSLayerStatementRule" "\0"
  /*  1169 */ "CSSMarginRule" "\0"
  /*  1183 */ "CSSMediaRule" "\0"
  /*  1196 */ "CSSMozDocumentRule" "\0"
  /*  1215 */ "CSSNamespaceRule" "\0"
  /*  1232 */ "CSSNestedDeclarations" "\0"
  /*  1254 */ "CSSPageDescriptors" "\0"
  /*  1273 */ "CSSPageRule" "\0"
  /*  1285 */ "CSSPositionTryDescriptors" "\0"
  /*  1311 */ "CSSPositionTryRule" "\0"
  /*  1330 */ "CSSPropertyRule" "\0"
  /*  1346 */ "CSSPseudoElement" "\0"
  /*  1363 */ "CSSRule" "\0"
  /*  1371 */ "CSSRuleList" "\0"
  /*  1383 */ "CSSScopeRule" "\0"
  /*  1396 */ "CSSStartingStyleRule" "\0"
  /*  1417 */ "CSSStyleDeclaration" "\0"
  /*  1437 */ "CSSStyleRule" "\0"
  /*  1450 */ "CSSStyleSheet" "\0"
  /*  1464 */ "CSSSupportsRule" "\0"
  /*  1480 */ "CSSTransition" "\0"
  /*  1494 */ "Cache" "\0"
  /*  1500 */ "CacheStorage" "\0"
  /*  1513 */ "CallbackDebuggerNotification" "\0"
  /*  1542 */ "CanonicalBrowsingContext" "\0"
  /*  1567 */ "CanvasCaptureMediaStream" "\0"
  /*  1592 */ "CanvasGradient" "\0"
  /*  1607 */ "CanvasPattern" "\0"
  /*  1621 */ "CanvasRenderingContext2D" "\0"
  /*  1646 */ "CaretPosition" "\0"
  /*  1660 */ "CaretStateChangedEvent" "\0"
  /*  1683 */ "ChannelMergerNode" "\0"
  /*  1701 */ "ChannelSplitterNode" "\0"
  /*  1721 */ "ChannelWrapper" "\0"
  /*  1736 */ "CharacterData" "\0"
  /*  1750 */ "CheckerboardReportService" "\0"
  /*  1776 */ "ChildProcessMessageManager" "\0"
  /*  1803 */ "ChildSHistory" "\0"
  /*  1817 */ "ChromeMessageBroadcaster" "\0"
  /*  1842 */ "ChromeMessageSender" "\0"
  /*  1862 */ "ChromeNodeList" "\0"
  /*  1877 */ "ChromeUtils" "\0"
  /*  1889 */ "ChromeWorker" "\0"
  /*  1902 */ "Client" "\0"
  /*  1909 */ "Clients" "\0"
  /*  1917 */ "Clipboard" "\0"
  /*  1927 */ "ClipboardEvent" "\0"
  /*  1942 */ "ClipboardItem" "\0"
  /*  1956 */ "ClonedErrorHolder" "\0"
  /*  1974 */ "CloseEvent" "\0"
  /*  1985 */ "CloseWatcher" "\0"
  /*  1998 */ "CommandEvent" "\0"
  /*  2011 */ "Comment" "\0"
  /*  2019 */ "CompositionEvent" "\0"
  /*  2036 */ "CompressionStream" "\0"
  /*  2054 */ "ConsoleInstance" "\0"
  /*  2070 */ "ConstantSourceNode" "\0"
  /*  2089 */ "ContentFrameMessageManager" "\0"
  /*  2116 */ "ContentProcessMessageManager" "\0"
  /*  2145 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2183 */ "ConvolverNode" "\0"
  /*  2197 */ "CookieChangeEvent" "\0"
  /*  2215 */ "CookieStore" "\0"
  /*  2227 */ "CookieStoreManager" "\0"
  /*  2246 */ "CountQueuingStrategy" "\0"
  /*  2267 */ "CreateOfferRequest" "\0"
  /*  2286 */ "Credential" "\0"
  /*  2297 */ "CredentialsContainer" "\0"
  /*  2318 */ "Crypto" "\0"
  /*  2325 */ "CryptoKey" "\0"
  /*  2335 */ "CustomElementRegistry" "\0"
  /*  2357 */ "CustomEvent" "\0"
  /*  2369 */ "CustomStateSet" "\0"
  /*  2384 */ "DOMException" "\0"
  /*  2397 */ "DOMImplementation" "\0"
  /*  2415 */ "DOMLocalization" "\0"
  /*  2431 */ "DOMMatrix" "\0"
  /*  2441 */ "DOMMatrixReadOnly" "\0"
  /*  2459 */ "DOMParser" "\0"
  /*  2469 */ "DOMPoint" "\0"
  /*  2478 */ "DOMPointReadOnly" "\0"
  /*  2495 */ "DOMQuad" "\0"
  /*  2503 */ "DOMRect" "\0"
  /*  2511 */ "DOMRectList" "\0"
  /*  2523 */ "DOMRectReadOnly" "\0"
  /*  2539 */ "DOMStringList" "\0"
  /*  2553 */ "DOMStringMap" "\0"
  /*  2566 */ "DOMTokenList" "\0"
  /*  2579 */ "DataTransfer" "\0"
  /*  2592 */ "DataTransferItem" "\0"
  /*  2609 */ "DataTransferItemList" "\0"
  /*  2630 */ "DebuggerNotification" "\0"
  /*  2651 */ "DebuggerNotificationObserver" "\0"
  /*  2680 */ "DecompressionStream" "\0"
  /*  2700 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2727 */ "DelayNode" "\0"
  /*  2737 */ "DeprecationReportBody" "\0"
  /*  2759 */ "DeviceAcceleration" "\0"
  /*  2778 */ "DeviceLightEvent" "\0"
  /*  2795 */ "DeviceMotionEvent" "\0"
  /*  2813 */ "DeviceOrientationEvent" "\0"
  /*  2836 */ "DeviceRotationRate" "\0"
  /*  2855 */ "Directory" "\0"
  /*  2865 */ "Document" "\0"
  /*  2874 */ "DocumentFragment" "\0"
  /*  2891 */ "DocumentL10n" "\0"
  /*  2904 */ "DocumentTimeline" "\0"
  /*  2921 */ "DocumentType" "\0"
  /*  2934 */ "DominatorTree" "\0"
  /*  2948 */ "DragEvent" "\0"
  /*  2958 */ "DynamicsCompressorNode" "\0"
  /*  2981 */ "EXT_blend_minmax" "\0"
  /*  2998 */ "EXT_color_buffer_float" "\0"
  /*  3021 */ "EXT_color_buffer_half_float" "\0"
  /*  3049 */ "EXT_depth_clamp" "\0"
  /*  3065 */ "EXT_disjoint_timer_query" "\0"
  /*  3090 */ "EXT_float_blend" "\0"
  /*  3106 */ "EXT_frag_depth" "\0"
  /*  3121 */ "EXT_sRGB" "\0"
  /*  3130 */ "EXT_shader_texture_lod" "\0"
  /*  3153 */ "EXT_texture_compression_bptc" "\0"
  /*  3182 */ "EXT_texture_compression_rgtc" "\0"
  /*  3211 */ "EXT_texture_filter_anisotropic" "\0"
  /*  3242 */ "EXT_texture_norm16" "\0"
  /*  3261 */ "Element" "\0"
  /*  3269 */ "ElementInternals" "\0"
  /*  3286 */ "EncodedAudioChunk" "\0"
  /*  3304 */ "EncodedVideoChunk" "\0"
  /*  3322 */ "ErrorEvent" "\0"
  /*  3333 */ "Event" "\0"
  /*  3339 */ "EventCallbackDebuggerNotification" "\0"
  /*  3373 */ "EventCounts" "\0"
  /*  3385 */ "EventSource" "\0"
  /*  3397 */ "EventTarget" "\0"
  /*  3409 */ "Exception" "\0"
  /*  3419 */ "ExtendableCookieChangeEvent" "\0"
  /*  3447 */ "ExtendableEvent" "\0"
  /*  3463 */ "ExtendableMessageEvent" "\0"
  /*  3486 */ "ExtensionAlarms" "\0"
  /*  3502 */ "ExtensionBrowser" "\0"
  /*  3519 */ "ExtensionBrowserSettings" "\0"
  /*  3544 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3584 */ "ExtensionDns" "\0"
  /*  3597 */ "ExtensionEventManager" "\0"
  /*  3619 */ "ExtensionMockAPI" "\0"
  /*  3636 */ "ExtensionPort" "\0"
  /*  3650 */ "ExtensionProxy" "\0"
  /*  3665 */ "ExtensionRuntime" "\0"
  /*  3682 */ "ExtensionScripting" "\0"
  /*  3701 */ "ExtensionSetting" "\0"
  /*  3718 */ "ExtensionTest" "\0"
  /*  3732 */ "External" "\0"
  /*  3741 */ "FeaturePolicy" "\0"
  /*  3755 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3788 */ "FetchEvent" "\0"
  /*  3799 */ "FetchObserver" "\0"
  /*  3813 */ "File" "\0"
  /*  3818 */ "FileList" "\0"
  /*  3827 */ "FileReader" "\0"
  /*  3838 */ "FileReaderSync" "\0"
  /*  3853 */ "FileSystem" "\0"
  /*  3864 */ "FileSystemDirectoryEntry" "\0"
  /*  3889 */ "FileSystemDirectoryHandle" "\0"
  /*  3915 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3955 */ "FileSystemDirectoryIterator" "\0"
  /*  3983 */ "FileSystemDirectoryReader" "\0"
  /*  4009 */ "FileSystemEntry" "\0"
  /*  4025 */ "FileSystemFileEntry" "\0"
  /*  4045 */ "FileSystemFileHandle" "\0"
  /*  4066 */ "FileSystemHandle" "\0"
  /*  4083 */ "FileSystemSyncAccessHandle" "\0"
  /*  4110 */ "FileSystemWritableFileStream" "\0"
  /*  4139 */ "Flex" "\0"
  /*  4144 */ "FlexItemValues" "\0"
  /*  4159 */ "FlexLineValues" "\0"
  /*  4174 */ "FluentBundle" "\0"
  /*  4187 */ "FluentBundleAsyncIterator" "\0"
  /*  4213 */ "FluentBundleIterator" "\0"
  /*  4234 */ "FluentPattern" "\0"
  /*  4248 */ "FluentResource" "\0"
  /*  4263 */ "FocusEvent" "\0"
  /*  4274 */ "FontFace" "\0"
  /*  4283 */ "FontFaceSet" "\0"
  /*  4295 */ "FontFaceSetIterator" "\0"
  /*  4315 */ "FontFaceSetLoadEvent" "\0"
  /*  4336 */ "FormData" "\0"
  /*  4345 */ "FormData Iterator" "\0"
  /*  4363 */ "FormDataEvent" "\0"
  /*  4377 */ "FragmentDirective" "\0"
  /*  4395 */ "FrameCrashedEvent" "\0"
  /*  4413 */ "FrameLoader" "\0"
  /*  4425 */ "GPU" "\0"
  /*  4429 */ "GPUAdapter" "\0"
  /*  4440 */ "GPUAdapterInfo" "\0"
  /*  4455 */ "GPUBindGroup" "\0"
  /*  4468 */ "GPUBindGroupLayout" "\0"
  /*  4487 */ "GPUBuffer" "\0"
  /*  4497 */ "GPUBufferUsage" "\0"
  /*  4512 */ "GPUCanvasContext" "\0"
  /*  4529 */ "GPUColorWrite" "\0"
  /*  4543 */ "GPUCommandBuffer" "\0"
  /*  4560 */ "GPUCommandEncoder" "\0"
  /*  4578 */ "GPUCompilationInfo" "\0"
  /*  4597 */ "GPUCompilationMessage" "\0"
  /*  4619 */ "GPUComputePassEncoder" "\0"
  /*  4641 */ "GPUComputePipeline" "\0"
  /*  4660 */ "GPUDevice" "\0"
  /*  4670 */ "GPUDeviceLostInfo" "\0"
  /*  4688 */ "GPUError" "\0"
  /*  4697 */ "GPUExternalTexture" "\0"
  /*  4716 */ "GPUInternalError" "\0"
  /*  4733 */ "GPUMapMode" "\0"
  /*  4744 */ "GPUOutOfMemoryError" "\0"
  /*  4764 */ "GPUPipelineLayout" "\0"
  /*  4782 */ "GPUQuerySet" "\0"
  /*  4794 */ "GPUQueue" "\0"
  /*  4803 */ "GPURenderBundle" "\0"
  /*  4819 */ "GPURenderBundleEncoder" "\0"
  /*  4842 */ "GPURenderPassEncoder" "\0"
  /*  4863 */ "GPURenderPipeline" "\0"
  /*  4881 */ "GPUSampler" "\0"
  /*  4892 */ "GPUShaderModule" "\0"
  /*  4908 */ "GPUShaderStage" "\0"
  /*  4923 */ "GPUSupportedFeatures" "\0"
  /*  4944 */ "GPUSupportedLimits" "\0"
  /*  4963 */ "GPUTexture" "\0"
  /*  4974 */ "GPUTextureUsage" "\0"
  /*  4990 */ "GPUTextureView" "\0"
  /*  5005 */ "GPUUncapturedErrorEvent" "\0"
  /*  5029 */ "GPUValidationError" "\0"
  /*  5048 */ "GainNode" "\0"
  /*  5057 */ "Gamepad" "\0"
  /*  5065 */ "GamepadAxisMoveEvent" "\0"
  /*  5086 */ "GamepadButton" "\0"
  /*  5100 */ "GamepadButtonEvent" "\0"
  /*  5119 */ "GamepadEvent" "\0"
  /*  5132 */ "GamepadHapticActuator" "\0"
  /*  5154 */ "GamepadLightIndicator" "\0"
  /*  5176 */ "GamepadPose" "\0"
  /*  5188 */ "GamepadServiceTest" "\0"
  /*  5207 */ "GamepadTouch" "\0"
  /*  5220 */ "Geolocation" "\0"
  /*  5232 */ "GeolocationCoordinates" "\0"
  /*  5255 */ "GeolocationPosition" "\0"
  /*  5275 */ "GeolocationPositionError" "\0"
  /*  5300 */ "GetUserMediaRequest" "\0"
  /*  5320 */ "GleanBoolean" "\0"
  /*  5333 */ "GleanCategory" "\0"
  /*  5347 */ "GleanCounter" "\0"
  /*  5360 */ "GleanCustomDistribution" "\0"
  /*  5384 */ "GleanDatetime" "\0"
  /*  5398 */ "GleanDenominator" "\0"
  /*  5415 */ "GleanEvent" "\0"
  /*  5426 */ "GleanImpl" "\0"
  /*  5436 */ "GleanLabeled" "\0"
  /*  5449 */ "GleanMemoryDistribution" "\0"
  /*  5473 */ "GleanMetric" "\0"
  /*  5485 */ "GleanNumerator" "\0"
  /*  5500 */ "GleanObject" "\0"
  /*  5512 */ "GleanPingsImpl" "\0"
  /*  5527 */ "GleanQuantity" "\0"
  /*  5541 */ "GleanRate" "\0"
  /*  5551 */ "GleanString" "\0"
  /*  5563 */ "GleanStringList" "\0"
  /*  5579 */ "GleanText" "\0"
  /*  5589 */ "GleanTimespan" "\0"
  /*  5603 */ "GleanTimingDistribution" "\0"
  /*  5627 */ "GleanUrl" "\0"
  /*  5636 */ "GleanUuid" "\0"
  /*  5646 */ "Grid" "\0"
  /*  5651 */ "GridArea" "\0"
  /*  5660 */ "GridDimension" "\0"
  /*  5674 */ "GridLine" "\0"
  /*  5683 */ "GridLines" "\0"
  /*  5693 */ "GridTrack" "\0"
  /*  5703 */ "GridTracks" "\0"
  /*  5714 */ "HTMLAllCollection" "\0"
  /*  5732 */ "HTMLAnchorElement" "\0"
  /*  5750 */ "HTMLAreaElement" "\0"
  /*  5766 */ "HTMLAudioElement" "\0"
  /*  5783 */ "HTMLBRElement" "\0"
  /*  5797 */ "HTMLBaseElement" "\0"
  /*  5813 */ "HTMLBodyElement" "\0"
  /*  5829 */ "HTMLButtonElement" "\0"
  /*  5847 */ "HTMLCanvasElement" "\0"
  /*  5865 */ "HTMLCollection" "\0"
  /*  5880 */ "HTMLDListElement" "\0"
  /*  5897 */ "HTMLDataElement" "\0"
  /*  5913 */ "HTMLDataListElement" "\0"
  /*  5933 */ "HTMLDetailsElement" "\0"
  /*  5952 */ "HTMLDialogElement" "\0"
  /*  5970 */ "HTMLDirectoryElement" "\0"
  /*  5991 */ "HTMLDivElement" "\0"
  /*  6006 */ "HTMLDocument" "\0"
  /*  6019 */ "HTMLElement" "\0"
  /*  6031 */ "HTMLEmbedElement" "\0"
  /*  6048 */ "HTMLFieldSetElement" "\0"
  /*  6068 */ "HTMLFontElement" "\0"
  /*  6084 */ "HTMLFormControlsCollection" "\0"
  /*  6111 */ "HTMLFormElement" "\0"
  /*  6127 */ "HTMLFrameElement" "\0"
  /*  6144 */ "HTMLFrameSetElement" "\0"
  /*  6164 */ "HTMLHRElement" "\0"
  /*  6178 */ "HTMLHeadElement" "\0"
  /*  6194 */ "HTMLHeadingElement" "\0"
  /*  6213 */ "HTMLHtmlElement" "\0"
  /*  6229 */ "HTMLIFrameElement" "\0"
  /*  6247 */ "HTMLImageElement" "\0"
  /*  6264 */ "HTMLInputElement" "\0"
  /*  6281 */ "HTMLLIElement" "\0"
  /*  6295 */ "HTMLLabelElement" "\0"
  /*  6312 */ "HTMLLegendElement" "\0"
  /*  6330 */ "HTMLLinkElement" "\0"
  /*  6346 */ "HTMLMapElement" "\0"
  /*  6361 */ "HTMLMarqueeElement" "\0"
  /*  6380 */ "HTMLMediaElement" "\0"
  /*  6397 */ "HTMLMenuElement" "\0"
  /*  6413 */ "HTMLMetaElement" "\0"
  /*  6429 */ "HTMLMeterElement" "\0"
  /*  6446 */ "HTMLModElement" "\0"
  /*  6461 */ "HTMLOListElement" "\0"
  /*  6478 */ "HTMLObjectElement" "\0"
  /*  6496 */ "HTMLOptGroupElement" "\0"
  /*  6516 */ "HTMLOptionElement" "\0"
  /*  6534 */ "HTMLOptionsCollection" "\0"
  /*  6556 */ "HTMLOutputElement" "\0"
  /*  6574 */ "HTMLParagraphElement" "\0"
  /*  6595 */ "HTMLParamElement" "\0"
  /*  6612 */ "HTMLPictureElement" "\0"
  /*  6631 */ "HTMLPreElement" "\0"
  /*  6646 */ "HTMLProgressElement" "\0"
  /*  6666 */ "HTMLQuoteElement" "\0"
  /*  6683 */ "HTMLScriptElement" "\0"
  /*  6701 */ "HTMLSelectElement" "\0"
  /*  6719 */ "HTMLSlotElement" "\0"
  /*  6735 */ "HTMLSourceElement" "\0"
  /*  6753 */ "HTMLSpanElement" "\0"
  /*  6769 */ "HTMLStyleElement" "\0"
  /*  6786 */ "HTMLTableCaptionElement" "\0"
  /*  6810 */ "HTMLTableCellElement" "\0"
  /*  6831 */ "HTMLTableColElement" "\0"
  /*  6851 */ "HTMLTableElement" "\0"
  /*  6868 */ "HTMLTableRowElement" "\0"
  /*  6888 */ "HTMLTableSectionElement" "\0"
  /*  6912 */ "HTMLTemplateElement" "\0"
  /*  6932 */ "HTMLTextAreaElement" "\0"
  /*  6952 */ "HTMLTimeElement" "\0"
  /*  6968 */ "HTMLTitleElement" "\0"
  /*  6985 */ "HTMLTrackElement" "\0"
  /*  7002 */ "HTMLUListElement" "\0"
  /*  7019 */ "HTMLUnknownElement" "\0"
  /*  7038 */ "HTMLVideoElement" "\0"
  /*  7055 */ "HashChangeEvent" "\0"
  /*  7071 */ "Headers" "\0"
  /*  7079 */ "Headers Iterator" "\0"
  /*  7096 */ "HeapSnapshot" "\0"
  /*  7109 */ "Highlight" "\0"
  /*  7119 */ "HighlightRegistry" "\0"
  /*  7137 */ "History" "\0"
  /*  7145 */ "IDBCursor" "\0"
  /*  7155 */ "IDBCursorWithValue" "\0"
  /*  7174 */ "IDBDatabase" "\0"
  /*  7186 */ "IDBFactory" "\0"
  /*  7197 */ "IDBIndex" "\0"
  /*  7206 */ "IDBKeyRange" "\0"
  /*  7218 */ "IDBObjectStore" "\0"
  /*  7233 */ "IDBOpenDBRequest" "\0"
  /*  7250 */ "IDBRequest" "\0"
  /*  7261 */ "IDBTransaction" "\0"
  /*  7276 */ "IDBVersionChangeEvent" "\0"
  /*  7298 */ "IIRFilterNode" "\0"
  /*  7312 */ "IOUtils" "\0"
  /*  7320 */ "IdentityCredential" "\0"
  /*  7339 */ "IdleDeadline" "\0"
  /*  7352 */ "Image" "\0"
  /*  7358 */ "ImageBitmap" "\0"
  /*  7370 */ "ImageBitmapRenderingContext" "\0"
  /*  7398 */ "ImageCapture" "\0"
  /*  7411 */ "ImageCaptureError" "\0"
  /*  7429 */ "ImageCaptureErrorEvent" "\0"
  /*  7452 */ "ImageData" "\0"
  /*  7462 */ "ImageDecoder" "\0"
  /*  7475 */ "ImageDocument" "\0"
  /*  7489 */ "ImageTrack" "\0"
  /*  7500 */ "ImageTrackList" "\0"
  /*  7515 */ "InputEvent" "\0"
  /*  7526 */ "InspectorCSSParser" "\0"
  /*  7545 */ "InspectorFontFace" "\0"
  /*  7563 */ "InspectorUtils" "\0"
  /*  7578 */ "InstallTriggerImpl" "\0"
  /*  7597 */ "IntersectionObserver" "\0"
  /*  7618 */ "IntersectionObserverEntry" "\0"
  /*  7644 */ "IntlUtils" "\0"
  /*  7654 */ "InvokeEvent" "\0"
  /*  7666 */ "JSProcessActorChild" "\0"
  /*  7686 */ "JSProcessActorParent" "\0"
  /*  7707 */ "JSWindowActorChild" "\0"
  /*  7726 */ "JSWindowActorParent" "\0"
  /*  7746 */ "KeyEvent" "\0"
  /*  7755 */ "KeyboardEvent" "\0"
  /*  7769 */ "KeyframeEffect" "\0"
  /*  7784 */ "L10nFileSource" "\0"
  /*  7799 */ "L10nOverlays" "\0"
  /*  7812 */ "L10nRegistry" "\0"
  /*  7825 */ "LargestContentfulPaint" "\0"
  /*  7848 */ "LegacyMozTCPSocket" "\0"
  /*  7867 */ "Localization" "\0"
  /*  7880 */ "Location" "\0"
  /*  7889 */ "Lock" "\0"
  /*  7894 */ "LockManager" "\0"
  /*  7906 */ "MIDIAccess" "\0"
  /*  7917 */ "MIDIConnectionEvent" "\0"
  /*  7937 */ "MIDIInput" "\0"
  /*  7947 */ "MIDIInputMap" "\0"
  /*  7960 */ "MIDIMessageEvent" "\0"
  /*  7977 */ "MIDIOutput" "\0"
  /*  7988 */ "MIDIOutputMap" "\0"
  /*  8002 */ "MIDIPort" "\0"
  /*  8011 */ "MLS" "\0"
  /*  8015 */ "MLSGroupView" "\0"
  /*  8028 */ "MOZ_debug" "\0"
  /*  8038 */ "MatchGlob" "\0"
  /*  8048 */ "MatchPattern" "\0"
  /*  8061 */ "MatchPatternSet" "\0"
  /*  8077 */ "MathMLElement" "\0"
  /*  8091 */ "MediaCapabilities" "\0"
  /*  8109 */ "MediaControlService" "\0"
  /*  8129 */ "MediaController" "\0"
  /*  8145 */ "MediaDeviceInfo" "\0"
  /*  8161 */ "MediaDevices" "\0"
  /*  8174 */ "MediaElementAudioSourceNode" "\0"
  /*  8202 */ "MediaEncryptedEvent" "\0"
  /*  8222 */ "MediaError" "\0"
  /*  8233 */ "MediaKeyError" "\0"
  /*  8247 */ "MediaKeyMessageEvent" "\0"
  /*  8268 */ "MediaKeySession" "\0"
  /*  8284 */ "MediaKeyStatusMap" "\0"
  /*  8302 */ "MediaKeyStatusMap Iterator" "\0"
  /*  8329 */ "MediaKeySystemAccess" "\0"
  /*  8350 */ "MediaKeys" "\0"
  /*  8360 */ "MediaList" "\0"
  /*  8370 */ "MediaMetadata" "\0"
  /*  8384 */ "MediaQueryList" "\0"
  /*  8399 */ "MediaQueryListEvent" "\0"
  /*  8419 */ "MediaRecorder" "\0"
  /*  8433 */ "MediaRecorderErrorEvent" "\0"
  /*  8457 */ "MediaSession" "\0"
  /*  8470 */ "MediaSource" "\0"
  /*  8482 */ "MediaStream" "\0"
  /*  8494 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8526 */ "MediaStreamAudioSourceNode" "\0"
  /*  8553 */ "MediaStreamError" "\0"
  /*  8570 */ "MediaStreamEvent" "\0"
  /*  8587 */ "MediaStreamTrack" "\0"
  /*  8604 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8636 */ "MediaStreamTrackEvent" "\0"
  /*  8658 */ "MerchantValidationEvent" "\0"
  /*  8682 */ "MessageBroadcaster" "\0"
  /*  8701 */ "MessageChannel" "\0"
  /*  8716 */ "MessageEvent" "\0"
  /*  8729 */ "MessageListenerManager" "\0"
  /*  8752 */ "MessagePort" "\0"
  /*  8764 */ "MessageSender" "\0"
  /*  8778 */ "MimeType" "\0"
  /*  8787 */ "MimeTypeArray" "\0"
  /*  8801 */ "MouseEvent" "\0"
  /*  8812 */ "MouseScrollEvent" "\0"
  /*  8829 */ "MozCanvasPrintState" "\0"
  /*  8849 */ "MozDocumentMatcher" "\0"
  /*  8868 */ "MozDocumentObserver" "\0"
  /*  8888 */ "MozQueryInterface" "\0"
  /*  8906 */ "MozSharedMap" "\0"
  /*  8919 */ "MozSharedMap Iterator" "\0"
  /*  8941 */ "MozSharedMapChangeEvent" "\0"
  /*  8965 */ "MozStorageAsyncStatementParams" "\0"
  /*  8996 */ "MozStorageStatementParams" "\0"
  /*  9022 */ "MozStorageStatementRow" "\0"
  /*  9045 */ "MozWritableSharedMap" "\0"
  /*  9066 */ "MutationEvent" "\0"
  /*  9080 */ "MutationObserver" "\0"
  /*  9097 */ "MutationRecord" "\0"
  /*  9112 */ "NamedNodeMap" "\0"
  /*  9125 */ "NavigateEvent" "\0"
  /*  9139 */ "Navigation" "\0"
  /*  9150 */ "NavigationActivation" "\0"
  /*  9171 */ "NavigationCurrentEntryChangeEvent" "\0"
  /*  9205 */ "NavigationDestination" "\0"
  /*  9227 */ "NavigationHistoryEntry" "\0"
  /*  9250 */ "NavigationPreloadManager" "\0"
  /*  9275 */ "NavigationTransition" "\0"
  /*  9296 */ "Navigator" "\0"
  /*  9306 */ "NavigatorLogin" "\0"
  /*  9321 */ "NetworkInformation" "\0"
  /*  9340 */ "Node" "\0"
  /*  9345 */ "NodeFilter" "\0"
  /*  9356 */ "NodeIterator" "\0"
  /*  9369 */ "NodeList" "\0"
  /*  9378 */ "Notification" "\0"
  /*  9391 */ "NotificationEvent" "\0"
  /*  9409 */ "NotifyPaintEvent" "\0"
  /*  9426 */ "OES_draw_buffers_indexed" "\0"
  /*  9451 */ "OES_element_index_uint" "\0"
  /*  9474 */ "OES_fbo_render_mipmap" "\0"
  /*  9496 */ "OES_standard_derivatives" "\0"
  /*  9521 */ "OES_texture_float" "\0"
  /*  9539 */ "OES_texture_float_linear" "\0"
  /*  9564 */ "OES_texture_half_float" "\0"
  /*  9587 */ "OES_texture_half_float_linear" "\0"
  /*  9617 */ "OES_vertex_array_object" "\0"
  /*  9641 */ "OVR_multiview2" "\0"
  /*  9656 */ "OfflineAudioCompletionEvent" "\0"
  /*  9684 */ "OfflineAudioContext" "\0"
  /*  9704 */ "OffscreenCanvas" "\0"
  /*  9720 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9754 */ "OnlyForUseInConstructor" "\0"
  /*  9778 */ "Option" "\0"
  /*  9785 */ "OscillatorNode" "\0"
  /*  9800 */ "PageTransitionEvent" "\0"
  /*  9820 */ "PaintRequest" "\0"
  /*  9833 */ "PaintRequestList" "\0"
  /*  9850 */ "PaintWorkletGlobalScope" "\0"
  /*  9874 */ "PannerNode" "\0"
  /*  9885 */ "ParentProcessMessageManager" "\0"
  /*  9913 */ "Path2D" "\0"
  /*  9920 */ "PathUtils" "\0"
  /*  9930 */ "PaymentAddress" "\0"
  /*  9945 */ "PaymentMethodChangeEvent" "\0"
  /*  9970 */ "PaymentRequest" "\0"
  /*  9985 */ "PaymentRequestUpdateEvent" "\0"
  /* 10011 */ "PaymentResponse" "\0"
  /* 10027 */ "PeerConnectionImpl" "\0"
  /* 10046 */ "PeerConnectionObserver" "\0"
  /* 10069 */ "Performance" "\0"
  /* 10081 */ "PerformanceEntry" "\0"
  /* 10098 */ "PerformanceEntryEvent" "\0"
  /* 10120 */ "PerformanceEventTiming" "\0"
  /* 10143 */ "PerformanceMark" "\0"
  /* 10159 */ "PerformanceMeasure" "\0"
  /* 10178 */ "PerformanceNavigation" "\0"
  /* 10200 */ "PerformanceNavigationTiming" "\0"
  /* 10228 */ "PerformanceObserver" "\0"
  /* 10248 */ "PerformanceObserverEntryList" "\0"
  /* 10277 */ "PerformancePaintTiming" "\0"
  /* 10300 */ "PerformanceResourceTiming" "\0"
  /* 10326 */ "PerformanceServerTiming" "\0"
  /* 10350 */ "PerformanceTiming" "\0"
  /* 10368 */ "PeriodicWave" "\0"
  /* 10381 */ "PermissionStatus" "\0"
  /* 10398 */ "Permissions" "\0"
  /* 10410 */ "PlacesBookmark" "\0"
  /* 10425 */ "PlacesBookmarkAddition" "\0"
  /* 10448 */ "PlacesBookmarkChanged" "\0"
  /* 10470 */ "PlacesBookmarkGuid" "\0"
  /* 10489 */ "PlacesBookmarkKeyword" "\0"
  /* 10511 */ "PlacesBookmarkMoved" "\0"
  /* 10531 */ "PlacesBookmarkRemoved" "\0"
  /* 10553 */ "PlacesBookmarkTags" "\0"
  /* 10572 */ "PlacesBookmarkTime" "\0"
  /* 10591 */ "PlacesBookmarkTitle" "\0"
  /* 10611 */ "PlacesBookmarkUrl" "\0"
  /* 10629 */ "PlacesEvent" "\0"
  /* 10641 */ "PlacesEventCounts" "\0"
  /* 10659 */ "PlacesFavicon" "\0"
  /* 10673 */ "PlacesHistoryCleared" "\0"
  /* 10694 */ "PlacesObservers" "\0"
  /* 10710 */ "PlacesPurgeCaches" "\0"
  /* 10728 */ "PlacesRanking" "\0"
  /* 10742 */ "PlacesVisit" "\0"
  /* 10754 */ "PlacesVisitRemoved" "\0"
  /* 10773 */ "PlacesVisitTitle" "\0"
  /* 10790 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10816 */ "Plugin" "\0"
  /* 10823 */ "PluginArray" "\0"
  /* 10835 */ "PluginCrashedEvent" "\0"
  /* 10854 */ "PointerEvent" "\0"
  /* 10867 */ "PopStateEvent" "\0"
  /* 10881 */ "PopupBlockedEvent" "\0"
  /* 10899 */ "PopupPositionedEvent" "\0"
  /* 10920 */ "PositionStateEvent" "\0"
  /* 10939 */ "PrecompiledScript" "\0"
  /* 10957 */ "PrivateAttribution" "\0"
  /* 10976 */ "ProcessMessageManager" "\0"
  /* 10998 */ "ProcessingInstruction" "\0"
  /* 11020 */ "ProgressEvent" "\0"
  /* 11034 */ "PromiseDebugging" "\0"
  /* 11051 */ "PromiseNativeHandler" "\0"
  /* 11072 */ "PromiseRejectionEvent" "\0"
  /* 11094 */ "PublicKeyCredential" "\0"
  /* 11114 */ "PushEvent" "\0"
  /* 11124 */ "PushManager" "\0"
  /* 11136 */ "PushManagerImpl" "\0"
  /* 11152 */ "PushMessageData" "\0"
  /* 11168 */ "PushSubscription" "\0"
  /* 11185 */ "PushSubscriptionChangeEvent" "\0"
  /* 11213 */ "PushSubscriptionOptions" "\0"
  /* 11237 */ "RTCCertificate" "\0"
  /* 11252 */ "RTCDTMFSender" "\0"
  /* 11266 */ "RTCDTMFToneChangeEvent" "\0"
  /* 11289 */ "RTCDataChannel" "\0"
  /* 11304 */ "RTCDataChannelEvent" "\0"
  /* 11324 */ "RTCDtlsTransport" "\0"
  /* 11341 */ "RTCEncodedAudioFrame" "\0"
  /* 11362 */ "RTCEncodedVideoFrame" "\0"
  /* 11383 */ "RTCIceCandidate" "\0"
  /* 11399 */ "RTCIceTransport" "\0"
  /* 11415 */ "RTCIdentityProviderRegistrar" "\0"
  /* 11444 */ "RTCPeerConnection" "\0"
  /* 11462 */ "RTCPeerConnectionIceEvent" "\0"
  /* 11488 */ "RTCPeerConnectionStatic" "\0"
  /* 11512 */ "RTCRtpReceiver" "\0"
  /* 11527 */ "RTCRtpScriptTransform" "\0"
  /* 11549 */ "RTCRtpScriptTransformer" "\0"
  /* 11573 */ "RTCRtpSender" "\0"
  /* 11586 */ "RTCRtpTransceiver" "\0"
  /* 11604 */ "RTCSctpTransport" "\0"
  /* 11621 */ "RTCSessionDescription" "\0"
  /* 11643 */ "RTCStatsReport" "\0"
  /* 11658 */ "RTCTrackEvent" "\0"
  /* 11672 */ "RTCTransformEvent" "\0"
  /* 11690 */ "RadioNodeList" "\0"
  /* 11704 */ "Range" "\0"
  /* 11710 */ "ReadableByteStreamController" "\0"
  /* 11739 */ "ReadableStream" "\0"
  /* 11754 */ "ReadableStream AsyncIterator" "\0"
  /* 11783 */ "ReadableStreamBYOBReader" "\0"
  /* 11808 */ "ReadableStreamBYOBRequest" "\0"
  /* 11834 */ "ReadableStreamDefaultController" "\0"
  /* 11866 */ "ReadableStreamDefaultReader" "\0"
  /* 11894 */ "Report" "\0"
  /* 11901 */ "ReportBody" "\0"
  /* 11912 */ "ReportingObserver" "\0"
  /* 11930 */ "Request" "\0"
  /* 11938 */ "ResizeObserver" "\0"
  /* 11953 */ "ResizeObserverEntry" "\0"
  /* 11973 */ "ResizeObserverSize" "\0"
  /* 11992 */ "Response" "\0"
  /* 12001 */ "SVGAElement" "\0"
  /* 12013 */ "SVGAngle" "\0"
  /* 12022 */ "SVGAnimateElement" "\0"
  /* 12040 */ "SVGAnimateMotionElement" "\0"
  /* 12064 */ "SVGAnimateTransformElement" "\0"
  /* 12091 */ "SVGAnimatedAngle" "\0"
  /* 12108 */ "SVGAnimatedBoolean" "\0"
  /* 12127 */ "SVGAnimatedEnumeration" "\0"
  /* 12150 */ "SVGAnimatedInteger" "\0"
  /* 12169 */ "SVGAnimatedLength" "\0"
  /* 12187 */ "SVGAnimatedLengthList" "\0"
  /* 12209 */ "SVGAnimatedNumber" "\0"
  /* 12227 */ "SVGAnimatedNumberList" "\0"
  /* 12249 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 12280 */ "SVGAnimatedRect" "\0"
  /* 12296 */ "SVGAnimatedString" "\0"
  /* 12314 */ "SVGAnimatedTransformList" "\0"
  /* 12339 */ "SVGAnimationElement" "\0"
  /* 12359 */ "SVGCircleElement" "\0"
  /* 12376 */ "SVGClipPathElement" "\0"
  /* 12395 */ "SVGComponentTransferFunctionElement" "\0"
  /* 12431 */ "SVGDefsElement" "\0"
  /* 12446 */ "SVGDescElement" "\0"
  /* 12461 */ "SVGDiscardElement" "\0"
  /* 12479 */ "SVGElement" "\0"
  /* 12490 */ "SVGEllipseElement" "\0"
  /* 12508 */ "SVGFEBlendElement" "\0"
  /* 12526 */ "SVGFEColorMatrixElement" "\0"
  /* 12550 */ "SVGFEComponentTransferElement" "\0"
  /* 12580 */ "SVGFECompositeElement" "\0"
  /* 12602 */ "SVGFEConvolveMatrixElement" "\0"
  /* 12629 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12657 */ "SVGFEDisplacementMapElement" "\0"
  /* 12685 */ "SVGFEDistantLightElement" "\0"
  /* 12710 */ "SVGFEDropShadowElement" "\0"
  /* 12733 */ "SVGFEFloodElement" "\0"
  /* 12751 */ "SVGFEFuncAElement" "\0"
  /* 12769 */ "SVGFEFuncBElement" "\0"
  /* 12787 */ "SVGFEFuncGElement" "\0"
  /* 12805 */ "SVGFEFuncRElement" "\0"
  /* 12823 */ "SVGFEGaussianBlurElement" "\0"
  /* 12848 */ "SVGFEImageElement" "\0"
  /* 12866 */ "SVGFEMergeElement" "\0"
  /* 12884 */ "SVGFEMergeNodeElement" "\0"
  /* 12906 */ "SVGFEMorphologyElement" "\0"
  /* 12929 */ "SVGFEOffsetElement" "\0"
  /* 12948 */ "SVGFEPointLightElement" "\0"
  /* 12971 */ "SVGFESpecularLightingElement" "\0"
  /* 13000 */ "SVGFESpotLightElement" "\0"
  /* 13022 */ "SVGFETileElement" "\0"
  /* 13039 */ "SVGFETurbulenceElement" "\0"
  /* 13062 */ "SVGFilterElement" "\0"
  /* 13079 */ "SVGForeignObjectElement" "\0"
  /* 13103 */ "SVGGElement" "\0"
  /* 13115 */ "SVGGeometryElement" "\0"
  /* 13134 */ "SVGGradientElement" "\0"
  /* 13153 */ "SVGGraphicsElement" "\0"
  /* 13172 */ "SVGImageElement" "\0"
  /* 13188 */ "SVGLength" "\0"
  /* 13198 */ "SVGLengthList" "\0"
  /* 13212 */ "SVGLineElement" "\0"
  /* 13227 */ "SVGLinearGradientElement" "\0"
  /* 13252 */ "SVGMPathElement" "\0"
  /* 13268 */ "SVGMarkerElement" "\0"
  /* 13285 */ "SVGMaskElement" "\0"
  /* 13300 */ "SVGMatrix" "\0"
  /* 13310 */ "SVGMetadataElement" "\0"
  /* 13329 */ "SVGNumber" "\0"
  /* 13339 */ "SVGNumberList" "\0"
  /* 13353 */ "SVGPathElement" "\0"
  /* 13368 */ "SVGPathSegment" "\0"
  /* 13383 */ "SVGPatternElement" "\0"
  /* 13401 */ "SVGPoint" "\0"
  /* 13410 */ "SVGPointList" "\0"
  /* 13423 */ "SVGPolygonElement" "\0"
  /* 13441 */ "SVGPolylineElement" "\0"
  /* 13460 */ "SVGPreserveAspectRatio" "\0"
  /* 13483 */ "SVGRadialGradientElement" "\0"
  /* 13508 */ "SVGRect" "\0"
  /* 13516 */ "SVGRectElement" "\0"
  /* 13531 */ "SVGSVGElement" "\0"
  /* 13545 */ "SVGScriptElement" "\0"
  /* 13562 */ "SVGSetElement" "\0"
  /* 13576 */ "SVGStopElement" "\0"
  /* 13591 */ "SVGStringList" "\0"
  /* 13605 */ "SVGStyleElement" "\0"
  /* 13621 */ "SVGSwitchElement" "\0"
  /* 13638 */ "SVGSymbolElement" "\0"
  /* 13655 */ "SVGTSpanElement" "\0"
  /* 13671 */ "SVGTextContentElement" "\0"
  /* 13693 */ "SVGTextElement" "\0"
  /* 13708 */ "SVGTextPathElement" "\0"
  /* 13727 */ "SVGTextPositioningElement" "\0"
  /* 13753 */ "SVGTitleElement" "\0"
  /* 13769 */ "SVGTransform" "\0"
  /* 13782 */ "SVGTransformList" "\0"
  /* 13799 */ "SVGUnitTypes" "\0"
  /* 13812 */ "SVGUseElement" "\0"
  /* 13826 */ "SVGViewElement" "\0"
  /* 13841 */ "Sanitizer" "\0"
  /* 13851 */ "Scheduler" "\0"
  /* 13861 */ "Screen" "\0"
  /* 13868 */ "ScreenLuminance" "\0"
  /* 13884 */ "ScreenOrientation" "\0"
  /* 13902 */ "ScriptProcessorNode" "\0"
  /* 13922 */ "ScrollAreaEvent" "\0"
  /* 13938 */ "ScrollViewChangeEvent" "\0"
  /* 13960 */ "SecurityPolicyViolationEvent" "\0"
  /* 13989 */ "Selection" "\0"
  /* 13999 */ "ServiceWorker" "\0"
  /* 14013 */ "ServiceWorkerContainer" "\0"
  /* 14036 */ "ServiceWorkerGlobalScope" "\0"
  /* 14061 */ "ServiceWorkerRegistration" "\0"
  /* 14087 */ "SessionStoreFormData" "\0"
  /* 14108 */ "SessionStoreScrollData" "\0"
  /* 14131 */ "SessionStoreUtils" "\0"
  /* 14149 */ "ShadowRealmGlobalScope" "\0"
  /* 14172 */ "ShadowRoot" "\0"
  /* 14183 */ "SharedWorker" "\0"
  /* 14196 */ "SharedWorkerGlobalScope" "\0"
  /* 14220 */ "SimpleGestureEvent" "\0"
  /* 14239 */ "SourceBuffer" "\0"
  /* 14252 */ "SourceBufferList" "\0"
  /* 14269 */ "SpeechGrammar" "\0"
  /* 14283 */ "SpeechGrammarList" "\0"
  /* 14301 */ "SpeechRecognition" "\0"
  /* 14319 */ "SpeechRecognitionAlternative" "\0"
  /* 14348 */ "SpeechRecognitionError" "\0"
  /* 14371 */ "SpeechRecognitionEvent" "\0"
  /* 14394 */ "SpeechRecognitionResult" "\0"
  /* 14418 */ "SpeechRecognitionResultList" "\0"
  /* 14446 */ "SpeechSynthesis" "\0"
  /* 14462 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14488 */ "SpeechSynthesisEvent" "\0"
  /* 14509 */ "SpeechSynthesisUtterance" "\0"
  /* 14534 */ "SpeechSynthesisVoice" "\0"
  /* 14555 */ "StaticRange" "\0"
  /* 14567 */ "StereoPannerNode" "\0"
  /* 14584 */ "Storage" "\0"
  /* 14592 */ "StorageEvent" "\0"
  /* 14605 */ "StorageManager" "\0"
  /* 14620 */ "StreamFilter" "\0"
  /* 14633 */ "StreamFilterDataEvent" "\0"
  /* 14655 */ "StructuredCloneHolder" "\0"
  /* 14677 */ "StructuredCloneTester" "\0"
  /* 14699 */ "StyleSheet" "\0"
  /* 14710 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14747 */ "StyleSheetList" "\0"
  /* 14762 */ "StyleSheetRemovedEvent" "\0"
  /* 14785 */ "SubmitEvent" "\0"
  /* 14797 */ "SubtleCrypto" "\0"
  /* 14810 */ "SyncMessageSender" "\0"
  /* 14828 */ "SyncReadFile" "\0"
  /* 14841 */ "TCPServerSocket" "\0"
  /* 14857 */ "TCPServerSocketEvent" "\0"
  /* 14878 */ "TCPSocket" "\0"
  /* 14888 */ "TCPSocketErrorEvent" "\0"
  /* 14908 */ "TCPSocketEvent" "\0"
  /* 14923 */ "TaskController" "\0"
  /* 14938 */ "TaskPriorityChangeEvent" "\0"
  /* 14962 */ "TaskSignal" "\0"
  /* 14973 */ "TestAttributesOnTypes" "\0"
  /* 14995 */ "TestCEReactionsInterface" "\0"
  /* 15020 */ "TestCImplementedInterface" "\0"
  /* 15046 */ "TestCImplementedInterface2" "\0"
  /* 15073 */ "TestCallbackDictUnionOverload" "\0"
  /* 15103 */ "TestChildInterface" "\0"
  /* 15122 */ "TestConstructorForFuncInterface" "\0"
  /* 15154 */ "TestConstructorForPrefInterface" "\0"
  /* 15186 */ "TestConstructorForSCInterface" "\0"
  /* 15216 */ "TestCppKeywordNamedMethodsInterface" "\0"
  /* 15252 */ "TestDeprecatedInterface" "\0"
  /* 15276 */ "TestExampleInterface" "\0"
  /* 15297 */ "TestExampleProxyInterface" "\0"
  /* 15323 */ "TestExampleThrowingConstructorInterface" "\0"
  /* 15363 */ "TestExampleWorkerInterface" "\0"
  /* 15390 */ "TestFuncConstructorForDifferentFuncInterface" "\0"
  /* 15435 */ "TestFuncConstructorForInterface" "\0"
  /* 15467 */ "TestHTMLConstructorInterface" "\0"
  /* 15496 */ "TestIndexedAndNamedGetterAndSetterInterface" "\0"
  /* 15540 */ "TestIndexedAndNamedGetterInterface" "\0"
  /* 15575 */ "TestIndexedAndNamedSetterInterface" "\0"
  /* 15610 */ "TestIndexedGetterAndSetterAndNamedGetterInterface" "\0"
  /* 15660 */ "TestIndexedGetterInterface" "\0"
  /* 15687 */ "TestIndexedSetterInterface" "\0"
  /* 15714 */ "TestInterface" "\0"
  /* 15728 */ "TestInterfaceWithPromiseConstructorArg" "\0"
  /* 15767 */ "TestJSImplInterface" "\0"
  /* 15787 */ "TestJSImplInterface2" "\0"
  /* 15808 */ "TestJSImplInterface3" "\0"
  /* 15829 */ "TestJSImplInterface4" "\0"
  /* 15850 */ "TestJSImplInterface5" "\0"
  /* 15871 */ "TestJSImplInterface6" "\0"
  /* 15892 */ "TestJSImplNoInterfaceObject" "\0"
  /* 15920 */ "TestLegacyFactoryFunctionInterface" "\0"
  /* 15955 */ "TestLegacyFactoryFunctionInterface2" "\0"
  /* 15991 */ "TestNamedDeleterInterface" "\0"
  /* 16017 */ "TestNamedDeleterWithRetvalInterface" "\0"
  /* 16053 */ "TestNamedGetterInterface" "\0"
  /* 16078 */ "TestNamedSetterInterface" "\0"
  /* 16103 */ "TestNamespace" "\0"
  /* 16117 */ "TestNonWrapperCacheInterface" "\0"
  /* 16146 */ "TestParentInterface" "\0"
  /* 16166 */ "TestPrefChromeOnlySCFuncConstructorForInterface" "\0"
  /* 16214 */ "TestPrefConstructorForDifferentPrefInterface" "\0"
  /* 16259 */ "TestPrefConstructorForInterface" "\0"
  /* 16291 */ "TestProtoObjectHackedNamespace" "\0"
  /* 16322 */ "TestRenamedInterface" "\0"
  /* 16343 */ "TestRenamedNamespace" "\0"
  /* 16364 */ "TestSCConstructorForInterface" "\0"
  /* 16394 */ "TestSecureContextInterface" "\0"
  /* 16421 */ "TestThrowingConstructorInterface" "\0"
  /* 16454 */ "TestUtils" "\0"
  /* 16464 */ "TestWorkerExposedInterface" "\0"
  /* 16491 */ "TestingDeprecatedInterface" "\0"
  /* 16518 */ "Text" "\0"
  /* 16523 */ "TextClause" "\0"
  /* 16534 */ "TextDecoder" "\0"
  /* 16546 */ "TextDecoderStream" "\0"
  /* 16564 */ "TextEncoder" "\0"
  /* 16576 */ "TextEncoderStream" "\0"
  /* 16594 */ "TextEvent" "\0"
  /* 16604 */ "TextMetrics" "\0"
  /* 16616 */ "TextTrack" "\0"
  /* 16626 */ "TextTrackCue" "\0"
  /* 16639 */ "TextTrackCueList" "\0"
  /* 16656 */ "TextTrackList" "\0"
  /* 16670 */ "TimeEvent" "\0"
  /* 16680 */ "TimeRanges" "\0"
  /* 16691 */ "ToggleEvent" "\0"
  /* 16703 */ "Touch" "\0"
  /* 16709 */ "TouchEvent" "\0"
  /* 16720 */ "TouchList" "\0"
  /* 16730 */ "TrackEvent" "\0"
  /* 16741 */ "TransformStream" "\0"
  /* 16757 */ "TransformStreamDefaultController" "\0"
  /* 16790 */ "TransitionEvent" "\0"
  /* 16806 */ "TreeColumn" "\0"
  /* 16817 */ "TreeColumns" "\0"
  /* 16829 */ "TreeContentView" "\0"
  /* 16845 */ "TreeWalker" "\0"
  /* 16856 */ "TrustedHTML" "\0"
  /* 16868 */ "TrustedScript" "\0"
  /* 16882 */ "TrustedScriptURL" "\0"
  /* 16899 */ "TrustedTypePolicy" "\0"
  /* 16917 */ "TrustedTypePolicyFactory" "\0"
  /* 16942 */ "UDPMessageEvent" "\0"
  /* 16958 */ "UDPSocket" "\0"
  /* 16968 */ "UIEvent" "\0"
  /* 16976 */ "URL" "\0"
  /* 16980 */ "URLSearchParams" "\0"
  /* 16996 */ "URLSearchParams Iterator" "\0"
  /* 17021 */ "UniFFIPointer" "\0"
  /* 17035 */ "UniFFIScaffolding" "\0"
  /* 17053 */ "UserActivation" "\0"
  /* 17068 */ "UserInteraction" "\0"
  /* 17084 */ "UserProximityEvent" "\0"
  /* 17103 */ "VRDisplay" "\0"
  /* 17113 */ "VRDisplayCapabilities" "\0"
  /* 17135 */ "VRDisplayEvent" "\0"
  /* 17150 */ "VREyeParameters" "\0"
  /* 17166 */ "VRFieldOfView" "\0"
  /* 17180 */ "VRFrameData" "\0"
  /* 17192 */ "VRMockController" "\0"
  /* 17209 */ "VRMockDisplay" "\0"
  /* 17223 */ "VRPose" "\0"
  /* 17230 */ "VRServiceTest" "\0"
  /* 17244 */ "VRStageParameters" "\0"
  /* 17262 */ "VTTCue" "\0"
  /* 17269 */ "VTTRegion" "\0"
  /* 17279 */ "ValidityState" "\0"
  /* 17293 */ "VideoColorSpace" "\0"
  /* 17309 */ "VideoDecoder" "\0"
  /* 17322 */ "VideoEncoder" "\0"
  /* 17335 */ "VideoFrame" "\0"
  /* 17346 */ "VideoPlaybackQuality" "\0"
  /* 17367 */ "VideoTrack" "\0"
  /* 17378 */ "VideoTrackList" "\0"
  /* 17393 */ "ViewTransition" "\0"
  /* 17408 */ "VisualViewport" "\0"
  /* 17423 */ "WEBGL_color_buffer_float" "\0"
  /* 17448 */ "WEBGL_compressed_texture_astc" "\0"
  /* 17478 */ "WEBGL_compressed_texture_etc" "\0"
  /* 17507 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 17537 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 17568 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 17598 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 17633 */ "WEBGL_debug_renderer_info" "\0"
  /* 17659 */ "WEBGL_debug_shaders" "\0"
  /* 17679 */ "WEBGL_depth_texture" "\0"
  /* 17699 */ "WEBGL_draw_buffers" "\0"
  /* 17718 */ "WEBGL_explicit_present" "\0"
  /* 17741 */ "WEBGL_lose_context" "\0"
  /* 17760 */ "WEBGL_provoking_vertex" "\0"
  /* 17783 */ "WGSLLanguageFeatures" "\0"
  /* 17804 */ "WakeLock" "\0"
  /* 17813 */ "WakeLockSentinel" "\0"
  /* 17830 */ "WaveShaperNode" "\0"
  /* 17845 */ "WebExtensionContentScript" "\0"
  /* 17871 */ "WebExtensionPolicy" "\0"
  /* 17890 */ "WebGL2RenderingContext" "\0"
  /* 17913 */ "WebGLActiveInfo" "\0"
  /* 17929 */ "WebGLBuffer" "\0"
  /* 17941 */ "WebGLContextEvent" "\0"
  /* 17959 */ "WebGLFramebuffer" "\0"
  /* 17976 */ "WebGLProgram" "\0"
  /* 17989 */ "WebGLQuery" "\0"
  /* 18000 */ "WebGLRenderbuffer" "\0"
  /* 18018 */ "WebGLRenderingContext" "\0"
  /* 18040 */ "WebGLSampler" "\0"
  /* 18053 */ "WebGLShader" "\0"
  /* 18065 */ "WebGLShaderPrecisionFormat" "\0"
  /* 18092 */ "WebGLSync" "\0"
  /* 18102 */ "WebGLTexture" "\0"
  /* 18115 */ "WebGLTransformFeedback" "\0"
  /* 18138 */ "WebGLUniformLocation" "\0"
  /* 18159 */ "WebGLVertexArrayObject" "\0"
  /* 18182 */ "WebKitCSSMatrix" "\0"
  /* 18198 */ "WebSocket" "\0"
  /* 18208 */ "WebTransport" "\0"
  /* 18221 */ "WebTransportBidirectionalStream" "\0"
  /* 18253 */ "WebTransportDatagramDuplexStream" "\0"
  /* 18286 */ "WebTransportError" "\0"
  /* 18304 */ "WebTransportReceiveStream" "\0"
  /* 18330 */ "WebTransportSendStream" "\0"
  /* 18353 */ "WebrtcGlobalInformation" "\0"
  /* 18377 */ "WheelEvent" "\0"
  /* 18388 */ "Window" "\0"
  /* 18395 */ "WindowClient" "\0"
  /* 18408 */ "WindowContext" "\0"
  /* 18422 */ "WindowGlobalChild" "\0"
  /* 18440 */ "WindowGlobalParent" "\0"
  /* 18459 */ "WindowRoot" "\0"
  /* 18470 */ "Worker" "\0"
  /* 18477 */ "WorkerDebuggerGlobalScope" "\0"
  /* 18503 */ "WorkerGlobalScope" "\0"
  /* 18521 */ "WorkerLocation" "\0"
  /* 18536 */ "WorkerNavigator" "\0"
  /* 18552 */ "WorkerTestUtils" "\0"
  /* 18568 */ "Worklet" "\0"
  /* 18576 */ "WorkletGlobalScope" "\0"
  /* 18595 */ "WritableStream" "\0"
  /* 18610 */ "WritableStreamDefaultController" "\0"
  /* 18642 */ "WritableStreamDefaultWriter" "\0"
  /* 18670 */ "XMLDocument" "\0"
  /* 18682 */ "XMLHttpRequest" "\0"
  /* 18697 */ "XMLHttpRequestEventTarget" "\0"
  /* 18723 */ "XMLHttpRequestUpload" "\0"
  /* 18744 */ "XMLSerializer" "\0"
  /* 18758 */ "XPathEvaluator" "\0"
  /* 18773 */ "XPathExpression" "\0"
  /* 18789 */ "XPathResult" "\0"
  /* 18801 */ "XRBoundedReferenceSpace" "\0"
  /* 18825 */ "XRFrame" "\0"
  /* 18833 */ "XRInputSource" "\0"
  /* 18847 */ "XRInputSourceArray" "\0"
  /* 18866 */ "XRInputSourceEvent" "\0"
  /* 18885 */ "XRInputSourcesChangeEvent" "\0"
  /* 18911 */ "XRPose" "\0"
  /* 18918 */ "XRReferenceSpace" "\0"
  /* 18935 */ "XRReferenceSpaceEvent" "\0"
  /* 18957 */ "XRRenderState" "\0"
  /* 18971 */ "XRRigidTransform" "\0"
  /* 18988 */ "XRSession" "\0"
  /* 18998 */ "XRSessionEvent" "\0"
  /* 19013 */ "XRSpace" "\0"
  /* 19021 */ "XRSystem" "\0"
  /* 19030 */ "XRView" "\0"
  /* 19037 */ "XRViewerPose" "\0"
  /* 19050 */ "XRViewport" "\0"
  /* 19061 */ "XRWebGLLayer" "\0"
  /* 19074 */ "XSLTProcessor" "\0"
  /* 19088 */ "XULCommandEvent" "\0"
  /* 19104 */ "XULElement" "\0"
  /* 19115 */ "XULFrameElement" "\0"
  /* 19131 */ "XULMenuElement" "\0"
  /* 19146 */ "XULPopupElement" "\0"
  /* 19162 */ "XULResizerElement" "\0"
  /* 19180 */ "XULTextElement" "\0"
  /* 19195 */ "XULTreeElement" "\0"
  /* 19210 */ "console" "\0"
  /* 19218 */ "webkitSpeechGrammar" "\0"
  /* 19238 */ "webkitSpeechGrammarList" "\0"
  /* 19262 */ "webkitSpeechRecognition" "\0"
  /* 19286 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

